(*****************************************************************************
 * HOL-TestGen --- theorem-prover based test case generation
 *                 http://www.brucker.ch/projects/hol-testgen/
 *
 * FWTesting.thy ---
 * This file is part of HOL-TestGen.
 *
 * Copyright (c) 2005-2010 ETH Zurich, Switzerland
 *               2008-2010 Achim D. Brucker, Germany
 *               2009-2010 Université Paris-Sud, France
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *
 *     * Redistributions in binary form must reproduce the above
 *       copyright notice, this list of conditions and the following
 *       disclaimer in the documentation and/or other materials provided
 *       with the distribution.
 *
 *     * Neither the name of the copyright holders nor the names of its
 *       contributors may be used to endorse or promote products derived
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ***************.***************************************************************)
(* $Id: example.thy 9105 2011-01-25 22:03:54Z makarius $ *)

theory 
  "example"
imports
  "../../RandomDefinitions/RandomDefinitions"
begin


definition intranet :: "IntegerPair subnet" where "intranet = {{(a,b). a = 1}}"

definition internet :: "IntegerPair subnet" where "internet = {{(a,b). a = 2}}"

definition dmz :: "IntegerPair subnet" where "dmz = {{(a,b). a = 3}}"

lemma "Policy = 
   deny_all    
   ++ allow_all_from_port_to  intranet (80::port) internet    
   ++ allow_all_from_port_to intranet (443::port)  dmz 
   ++ allow_all_from_port_to dmz  (25::port) intranet   
   ++ allow_all_from_port_to intranet (25::port)  dmz 
   ++ allow_all_from_port_to  internet  (80::port) dmz 
   ++ allow_all_from_port_to  internet  (25::port) dmz 
   
"
oops
definition Policy :: "(IntegerPair,DummyContent) FWPolicy" where
"Policy = 
   deny_all    
   ++ allow_all_from_port_to  intranet (80::port) internet    
   ++ allow_all_from_port_to intranet (443::port)  dmz 
   ++ allow_all_from_port_to dmz  (25::port) intranet   
   ++ allow_all_from_port_to intranet (25::port)  dmz 
   ++ allow_all_from_port_to  internet  (80::port) dmz 
   ++ allow_all_from_port_to  internet  (25::port) dmz 
   
"


lemmas policies =  Policy_def 

lemmas UnfoldNetworkAndPolicy = UnfoldPolicy PLemmas policies


test_spec "fixElements x \<longrightarrow>  FUT x =  Policy x"
apply (rule_tac x=x in spec, rule allI, simp only: split_tupled_all, rule impI)
apply (simp add: fixDefs packet_Nets_def)
apply (simp add: PLemmas  UnfoldNetworkAndPolicy dmz_def internet_def intranet_def)
apply (gen_test_cases "FUT")
apply simp_all
store_test_thm "full"
gen_test_data "full"

export_test_data "full.data" "full"


end
