#!/bin/sh

for i in  1 2 3 4 5 6 7 8 9 10 11 12 

do

echo "

theory RandomQuick$i
imports RandomPolicies
begin


declare [[testgen_profiling]]


lemma ail7: \"all_in_list (policy2list (Policy$i)) (Nets_List Policy$i)\"
apply (unfold Nets_List_def bothNets_def)
apply (insert nets_different, simp add: aux aux2 Policy${i}_def)
done

definition P10 where \"P10 = Policy$i\"




test_spec 
 \"FUT x = (C Policy$i) x\"
apply (prepare_fw_spec)
apply (rule_tac PL = \"((Comb2PolList (rev (normalizeQ (Policy${i}))) C))\" 
   in distrFUTLG1)
apply (simp add: Policy${i}_def domDA1)
apply (rule fun_cong) back
apply (rule NormalisationIntegerPortProof.p_eq2Q)
apply (rule NormalisationIntegerPortProof.norm_notMTQ)
apply (simp add: Policy${i}_def)
apply (rule NormalisationIntegerPortProof.C_eq_normalizeQ)
apply (simp add: Policy${i}_def)
apply (rule aND${i})
apply (rule ail7) 
apply (simp only: normalizeQ_def)
apply (subst P10_def[symmetric])
apply (insert noMT2$i nets_different, simp add: Nets_List_def bothNets_def
                         aux aux2 Policy${i}_def)
apply (simp add: P10_def aux aux2 Policy${i}_def, thin_tac \"?X\",thin_tac \"?S\")
apply (simp add: FUTListGD_def)
apply (simp add: gatherDomain_def domain_reasoning dom_2 domDA1)
apply (tactic  
 \"REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))\")
apply (simp_all add: PLemmas UnfoldPolicy)
apply (gen_test_cases FUT)
store_test_thm \"Policy${i}\"

declare UnfoldPolicy[simp]
declare PLemmas[simp]

gen_test_data Policy${i}

declare UnfoldPolicy[simp del]
declare PLemmas[simp del]   

export_fw_data \"RandomQuick.data\" Policy${i}
write_clocks \"RandomQuick${i}.tex\"

end
" > "RandomQuick${i}/RandomQuick${i}.thy"


echo "

theory Random$i
imports RandomPolicies
begin


declare [[testgen_profiling]]


lemma ail7: \"all_in_list (policy2list (Policy$i)) (Nets_List Policy$i)\"
apply (unfold Nets_List_def bothNets_def)
apply (insert nets_different, simp add: aux aux2 Policy${i}_def)
done

definition P10 where \"P10 = Policy$i\"




test_spec 
 \"FUT x = (C Policy$i) x\"
apply (prepare_fw_spec)
apply (rule_tac PL = \"((Comb2PolList (rev (normalize (Policy${i}))) C))\" 
   in distrFUTLG1)
apply (simp add: Policy${i}_def domDA1)
apply (rule fun_cong) back
apply (rule NormalisationIntegerPortProof.p_eq2)
apply (rule NormalisationIntegerPortProof.norm_notMT)
apply (simp add: Policy${i}_def)
apply (rule NormalisationIntegerPortProof.C_eq_normalize)
apply (simp add: Policy${i}_def)
apply (rule aND${i})
apply (rule ail7) 
apply (simp only: normalize_def)
apply (subst P10_def[symmetric])
apply (insert noMT2$i nets_different, simp add: Nets_List_def bothNets_def
                         aux aux2 Policy${i}_def)
apply (simp add: P10_def aux aux2 Policy${i}_def, thin_tac \"?X\",thin_tac \"?S\")
apply (simp add: FUTListGD_def)
apply (simp add: gatherDomain_def domain_reasoning dom_2 domDA1)
apply (tactic  
 \"REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))\")
apply (simp_all add: PLemmas UnfoldPolicy)
apply (gen_test_cases FUT)
store_test_thm \"Policy${i}\"

declare UnfoldPolicy[simp]
declare PLemmas[simp]

gen_test_data Policy${i}

declare UnfoldPolicy[simp del]
declare PLemmas[simp del]   

export_fw_data \"Random.data\" Policy${i}
write_clocks \"Random${i}.tex\"

end
" > Random${i}/Random${i}.thy


echo "
use_thy \"Random${i}\";
" > Random${i}/ROOT.ML

echo "
use_thy \"RandomQuick${i}\";
" > RandomQuick${i}/ROOT.ML


echo "

  MAIN=HOL-TestGenFW-RandomDefinitions
  HEAP=HOL-Random$i



## targets

default: \$(HEAP)

all: images test


## global settings

SRC = \$(ISABELLE_HOME)/src
OUT = \$(ISABELLE_OUTPUT)
LOG = \$(OUT)/log

USEDIR = ~/Isabelle2011-1/bin/isabelle usedir -q 0 -t true -b


\$(HEAP): \$(LOG)/\$(HEAP).gz

\$(LOG)/\$(HEAP).gz: *.ML *.thy
	@\$(USEDIR) \$(MAIN) \$(HEAP)


## clean

clean:
	@rm -f \$(LOG)/\$(HEAP).gz
" > Random${i}/IsaMakefile


echo "

  MAIN=HOL-TestGenFW-RandomDefinitions
  HEAP=HOL-RandomQuick$i



## targets

default: \$(HEAP)

all: images test


## global settings

SRC = \$(ISABELLE_HOME)/src
OUT = \$(ISABELLE_OUTPUT)
LOG = \$(OUT)/log

USEDIR = ~/Isabelle2011-1/bin/isabelle usedir -q 0 -t true -b


\$(HEAP): \$(LOG)/\$(HEAP).gz

\$(LOG)/\$(HEAP).gz: *.ML *.thy
	@\$(USEDIR) \$(MAIN) \$(HEAP)


## clean

clean:
	@rm -f \$(LOG)/\$(HEAP).gz
" > RandomQuick${i}/IsaMakefile


done