
header{*Test Data for FTP*}
theory FTP_Test
imports 
  FWTesting Testing
begin

declare [[testgen_profiling=true]]

definition   intranet :: "adr\<^isub>i\<^isub>p net" 
where       "intranet = {{(a,e) . a = 3}}"


definition   internet :: "adr\<^isub>i\<^isub>p net" 
where       "internet = {{(a,c). a > 3}}"


definition   ftp_policy :: "(adr\<^isub>i\<^isub>p,FTP.msg) FWPolicy" 
where       "ftp_policy = (allow_from_to_port (21::port) intranet internet \<Oplus> D\<^sub>U)"


definition   is_in_intranet :: "adr\<^isub>i\<^isub>p  \<Rightarrow> bool" 
where       "is_in_intranet a = ((fst a) = 3)"

definition   is_in_internet :: "adr\<^isub>i\<^isub>p \<Rightarrow> bool" 
where       "is_in_internet a =  ((fst a) > 3)"


definition  "\<sigma>\<^isub>o" ::  "(adr\<^isub>i\<^isub>p, FTP.msg) history \<times> (adr\<^isub>i\<^isub>p, FTP.msg) FWPolicy" 
where       "\<sigma>\<^isub>o = ([],ftp_policy)"


definition "single_run_test_purpose" ::  "(adr\<^isub>i\<^isub>p, FTP.msg) history \<Rightarrow> bool" 
where      "single_run_test_purpose t =  (\<exists> c s i p. t \<in> is_single_ftp_run c s i p 
                                                     \<and> is_in_intranet c 
                                                     \<and> is_in_internet s 
                                                     \<and> (snd s) = 21)"

declare [[testgen_depth=4]]


lemmas ST_simps = 
FTPLemmas is_in_intranet_def
is_in_internet_def intranet_def internet_def  
ftp_policy_def



declare allow_comm [simp del]
declare[[testgen_depth=3]]
test_spec 
"\<lbrakk>length t = length X; single_run_test_purpose (rev t);  (\<sigma>\<^isub>o \<Turnstile> (os  \<leftarrow>  mbind t (policy2MON TRPolicy); return (os=X))) \<rbrakk>
 \<Longrightarrow> FUT \<sigma>\<^isub>o t = X"
apply(simp add: single_run_test_purpose_def \<sigma>\<^isub>o_def TRPolicy_def)
apply(unfold is_single_ftp_run_def is_in_internet_def is_in_intranet_def)
apply(simp)
apply(gen_test_cases "FUT" simp:id_def)
apply simp_all
store_test_thm "ftp_test3"

declare ST_simps[simp]
declare [[testgen_iterations=1000]]
gen_test_data "ftp_test3"
thm ftp_test3.test_data
declare ST_simps[simp del]


declare[[testgen_depth=4]]
test_spec 
"\<lbrakk>length t = length X; 
  single_run_test_purpose (rev t);
 (\<sigma>\<^isub>o \<Turnstile> (os  \<leftarrow>  mbind t (policy2MON TRPolicy); return (os=X)))\<rbrakk> 
 \<Longrightarrow>  FUT \<sigma>\<^isub>o t = X"
apply (simp add: single_run_test_purpose_def \<sigma>\<^isub>o_def TRPolicy_def)
apply (unfold is_single_ftp_run_def is_in_internet_def is_in_intranet_def)
apply (simp_all)
apply (gen_test_cases "FUT")
apply simp_all
store_test_thm "ftp_test4"

declare ST_simps[simp]
gen_test_data "ftp_test4"
thm ftp_test4.test_data
declare ST_simps[simp del]

 
declare[[testgen_depth=5]]
test_spec 
"\<lbrakk>length t = length X; 
  single_run_test_purpose (rev t);
 (\<sigma>\<^isub>o \<Turnstile> (os  \<leftarrow>  mbind t (policy2MON TRPolicy); return (os=X)))\<rbrakk> 
 \<Longrightarrow>  FUT \<sigma>\<^isub>o t = X"
apply(simp add: single_run_test_purpose_def \<sigma>\<^isub>o_def)
apply (unfold is_single_ftp_run_def is_in_internet_def is_in_intranet_def)
apply (simp)
apply (gen_test_cases "FUT"  )
apply (simp_all add: allow_comm)
store_test_thm "ftp_test5"
declare[[testgen_depth=5]]

declare[[testgen_iterations=2000]]
declare ST_simps[simp]
gen_test_data "ftp_test5"
thm ftp_test5.test_data
thm ftp_test5.pos
declare ST_simps[simp del]


declare[[testgen_depth=6]]
test_spec 
"\<lbrakk>length t = length X; 
  single_run_test_purpose (rev t);
 (\<sigma>\<^isub>o \<Turnstile> (os  \<leftarrow>  mbind t (policy2MON TRPolicy); return (os=X)))\<rbrakk> 
 \<Longrightarrow>  FUT \<sigma>\<^isub>o t = X"
apply(simp add: single_run_test_purpose_def \<sigma>\<^isub>o_def)
apply (unfold is_single_ftp_run_def is_in_internet_def is_in_intranet_def)
apply (simp)
apply (gen_test_cases "FUT" )
apply (simp_all add: allow_comm)
store_test_thm "ftp_test6"

declare ST_simps[simp]
gen_test_data "ftp_test6"
thm ftp_test6.test_data
declare ST_simps[simp del]

declare[[testgen_depth=7]]
test_spec 
"\<lbrakk>length t = length X; 
  single_run_test_purpose (rev t);
 (\<sigma>\<^isub>o \<Turnstile> (os  \<leftarrow>  mbind t (policy2MON TRPolicy); return (os=X)))\<rbrakk> 
 \<Longrightarrow>  FUT \<sigma>\<^isub>o t = X"
apply(simp add: single_run_test_purpose_def \<sigma>\<^isub>o_def)
apply (unfold is_single_ftp_run_def is_in_internet_def is_in_intranet_def)
apply (simp)
apply (gen_test_cases "FUT")
apply (simp_all add: allow_comm)
store_test_thm "ftp_test7"

declare ST_simps[simp]
gen_test_data "ftp_test7"
thm ftp_test7.test_data
declare ST_simps[simp del]

write_clocks "time_stats_ftp.tex"
declare [[testgen_profiling=false]]




end
