
 
theory 
  nats_norm
imports
 prep_nats_norm
begin

declare [[testgen_profiling]]
declare [[testgen_iterations=5]]
declare [[testgen_SMT=true]]

test_spec 
"PUT x = policy_1 x"
apply (prepare_fw_spec)
apply (gen_test_cases PUT simp: subnets UnfoldPolicy1 
                                C.simps
                                split_tupled_all )
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS( 
      (full_simp_tac (simpset_of @{context}addsimps @{thms  adrs PO_def UnfoldPolicy1}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: adrs) 
store_test_thm natT1a



test_spec 
"PUT x = policy_2 x"
apply (prepare_fw_spec)
apply (rule_tac PL = "(nat_2 \<Otimes>\<^sub>L (map C (rev (normalize filter_2)))) 
                       (op \<Otimes>\<^sub>2) (\<lambda> (x,y). x) (\<lambda> x. (x,x))" 
   in distrPUTLG1)
apply (rule domUniv)
apply (simp add: policy_2_def)
apply (rule sym)
apply (subst NormalisationIntegerPortProof.normalizeNAT)
apply (simp add: UnfoldPolicy2)
apply (simp_all add: ANDex2 all_in_list2)
apply (insert noMT2)
apply (simp add:  normalize_def filter_2_def 
                   filter_1_def filter_0_def bothNets_def aux aux2 
                  Nets_List_def nets_different_all noMT2)
apply (simp add:  PUTListGD_def gatherDomain_def)
apply (simp add: domain_reasoning domMT2 dom_nat2)
apply (tactic  
 "REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))")  
apply (simp_all add: split_tupled_all UnfoldPolicy2 subnets C.simps)
apply (gen_test_cases PUT simp: UnfoldPolicy2 adrs subnets  split: prod.splits)
apply (simp_all add: subnets adrs UPFDefs)
store_test_thm natT2




test_spec 
"PUT x = policy_3 x"
apply (prepare_fw_spec)
apply (rule_tac PL = "(nat_3 \<Otimes>\<^sub>L (map C (rev (normalize filter_3)))) 
                       (op \<Otimes>\<^sub>2) (\<lambda> (x,y). x) (\<lambda> x. (x,x))" 
   in distrPUTLG1)
apply (rule domUniv3)
apply (simp add: policy_3_def)
apply (rule sym)
apply (subst NormalisationIntegerPortProof.normalizeNAT)
apply (simp add: UnfoldPolicy3)
apply (simp_all add: ANDex3 all_in_list3)
apply (insert noMT3)
apply (simp add:  normalize_def filter_3_def filter_2_def 
                   filter_1_def filter_0_def bothNets_def aux aux2 
                  Nets_List_def nets_different_all noMT3)
apply (simp add:  PUTListGD_def gatherDomain_def)
apply (simp add: domain_reasoning domMT3 dom_nat3)
apply (tactic  
 "REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))")  
apply (simp_all add: split_tupled_all  UnfoldPolicy3 subnets C.simps)
apply (gen_test_cases PUT simp: UnfoldPolicy3 adrs subnets  )
apply (simp_all add: subnets adrs UPFDefs)
store_test_thm natT3

gen_test_data "natT3"
thm natT3.test_data


test_spec 
"PUT x = policy_4 x"
apply (prepare_fw_spec)
apply (rule_tac PL = "(nat_4 \<Otimes>\<^sub>L (map C (rev (normalize filter_4)))) 
                       (op \<Otimes>\<^sub>2) (\<lambda> (x,y). x) (\<lambda> x. (x,x))" 
   in distrPUTLG1)
apply (rule domUniv4)
apply (simp add: policy_4_def)
apply (rule sym)
apply (subst NormalisationIntegerPortProof.normalizeNAT)
apply (simp add: UnfoldPolicy4)
apply (simp_all add: ANDex4 all_in_list4)
apply (insert noMT4)
apply (simp add:  normalize_def filter_4_def filter_2_def filter_3_def
                   filter_1_def filter_0_def bothNets_def aux aux2 
                  Nets_List_def nets_different_all noMT4)
apply (simp add:  PUTListGD_def gatherDomain_def)
apply (simp add: domain_reasoning domMT4 dom_nat4)
apply (tactic  
 "REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))")  
apply (simp_all add: split_tupled_all  UnfoldPolicy4 subnets C.simps)
apply (gen_test_cases PUT simp: UnfoldPolicy4 adrs subnets  )
apply (simp_all add: subnets adrs UPFDefs)
store_test_thm natT4





test_spec 
"PUT x = policy_5 x"
apply (prepare_fw_spec)
apply (rule_tac PL = "(nat_5 \<Otimes>\<^sub>L (map C (rev (normalize filter_5)))) 
                       (op \<Otimes>\<^sub>2) (\<lambda> (x,y). x) (\<lambda> x. (x,x))" 
   in distrPUTLG1)
apply (rule domUniv5)
apply (simp add: policy_5_def)
apply (rule sym)
apply (subst NormalisationIntegerPortProof.normalizeNAT)
apply (simp add: UnfoldPolicy5)
apply (simp_all add: ANDex5 all_in_list5)
apply (insert noMT5)
apply (simp add:  normalize_def filter_5_def filter_2_def  filter_4_def filter_3_def
                   filter_1_def filter_0_def bothNets_def aux aux2 
                  Nets_List_def nets_different_all noMT5)
apply (simp add:  PUTListGD_def gatherDomain_def)
apply (simp add: domain_reasoning domMT55 dom_nat5)
apply (tactic  
 "REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))")  
apply (simp_all add: split_tupled_all  UnfoldPolicy5 subnets C.simps)
apply (gen_test_cases PUT simp: UnfoldPolicy5 adrs subnets  )
apply (simp_all add: subnets adrs UPFDefs)
store_test_thm natT5







test_spec 
"PUT x = policy_6 x"
apply (prepare_fw_spec)
apply (rule_tac PL = "(nat_6 \<Otimes>\<^sub>L (map C (rev (normalize filter_6)))) 
                       (op \<Otimes>\<^sub>2) (\<lambda> (x,y). x) (\<lambda> x. (x,x))" 
   in distrPUTLG1)
apply (rule domUniv6)
apply (simp add: policy_6_def)
apply (rule sym)
apply (subst NormalisationIntegerPortProof.normalizeNAT)
apply (simp add: UnfoldPolicy6)
apply (simp_all add: ANDex6 all_in_list6)
apply (insert noMT6)
apply (simp add:  normalize_def filters bothNets_def aux aux2 
                  Nets_List_def  nets_different_all noMT6)
apply (simp add:  PUTListGD_def gatherDomain_def)
apply (simp add: domain_reasoning domMT66 dom_nat6)
apply (tactic  
 "REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))")  
apply (simp_all add: split_tupled_all  UnfoldPolicy6 subnets C.simps)
apply (gen_test_cases PUT simp: UnfoldPolicy6 adrs subnets  )
apply (simp_all add: subnets adrs UPFDefs)
store_test_thm natT6



test_spec 
"PUT x = policy_7 x"
apply (prepare_fw_spec)
apply (rule_tac PL = "(nat_7 \<Otimes>\<^sub>L (map C (rev (normalize filter_7)))) 
                       (op \<Otimes>\<^sub>2) (\<lambda> (x,y). x) (\<lambda> x. (x,x))" 
   in distrPUTLG1)
apply (rule domUniv7)
apply (simp add: policy_7_def)
apply (rule sym)
apply (subst NormalisationIntegerPortProof.normalizeNAT)
apply (simp add: UnfoldPolicy7)
apply (simp_all add: ANDex7 all_in_list7)
apply (insert noMT7)
apply (simp add:  normalize_def filters bothNets_def aux aux2 
                  Nets_List_def  nets_different_all noMT7)
apply (simp add:  PUTListGD_def gatherDomain_def)
apply (simp add: domain_reasoning domMT77 dom_nat7)
apply (tactic  
 "REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))")
apply (simp_all add: UnfoldPolicy7 subnets split_tupled_all C.simps)  
apply (gen_test_cases PUT simp: UnfoldPolicy7 adrs subnets  C.simps  )
apply (simp_all add: subnets adrs UPFDefs)
store_test_thm natT7



test_spec 
"PUT x = policy_8 x"
apply (prepare_fw_spec)
apply (rule_tac PL = "(nat_8 \<Otimes>\<^sub>L (map C (rev (normalize filter_8)))) 
                       (op \<Otimes>\<^sub>2) (\<lambda> (x,y). x) (\<lambda> x. (x,x))" 
   in distrPUTLG1)
apply (rule domUniv8)
apply (simp add: policy_8_def)
apply (rule sym)
apply (subst NormalisationIntegerPortProof.normalizeNAT)
apply (simp add: UnfoldPolicy8)
apply (simp_all add: ANDex8 all_in_list8)
apply (insert noMT8)
apply (simp add:  normalize_def filters bothNets_def aux aux2 
                  Nets_List_def  nets_different_all noMT8)
apply (simp add:  PUTListGD_def gatherDomain_def)
apply (simp add: domain_reasoning domMT88 dom_nat8)
apply (tactic  
 "REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))")  
apply (simp_all add: UnfoldPolicy8 subnets split_tupled_all C.simps)
apply (gen_test_cases PUT simp: UnfoldPolicy8 adrs subnets split_tupled_all C.simps )
apply (simp_all add: subnets adrs UPFDefs)
store_test_thm natT8


test_spec 
"PUT x = policy_9 x"
apply (prepare_fw_spec)
apply (rule_tac PL = "(nat_9 \<Otimes>\<^sub>L (map C (rev (normalize filter_9)))) 
                       (op \<Otimes>\<^sub>2) (\<lambda> (x,y). x) (\<lambda> x. (x,x))" 
   in distrPUTLG1)
apply (rule domUniv9)
apply (simp add: policy_9_def)
apply (rule sym)
apply (subst NormalisationIntegerPortProof.normalizeNAT)
apply (simp add: UnfoldPolicy9)
apply (simp_all add: ANDex9 all_in_list9)
apply (insert noMT9)
apply (simp add:  normalize_def filters bothNets_def aux aux2 
                  Nets_List_def  nets_different_all noMT9)
apply (simp add:  PUTListGD_def gatherDomain_def)
apply (simp add: domain_reasoning domMT99 dom_nat9)
apply (tactic  
 "REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))")  
apply (simp_all add: split_tupled_all  UnfoldPolicy9 subnets C.simps)
apply (gen_test_cases PUT simp: UnfoldPolicy9 adrs subnets  )
apply (simp_all add: subnets adrs UPFDefs)
store_test_thm natT9




test_spec 
"PUT x = policy_10 x"
apply (prepare_fw_spec)
apply (rule_tac PL = "(nat_10 \<Otimes>\<^sub>L (map C (rev (normalize filter_10)))) 
                       (op \<Otimes>\<^sub>2) (\<lambda> (x,y). x) (\<lambda> x. (x,x))" 
   in distrPUTLG1)
apply (rule domUniv10)
apply (simp add: policy_10_def)
apply (rule sym)
apply (subst NormalisationIntegerPortProof.normalizeNAT)
apply (simp add: UnfoldPolicy10)
apply (simp_all add: ANDex10 all_in_list10)
apply (insert noMT10)
apply (simp add:  normalize_def filters bothNets_def aux aux2 
                  Nets_List_def  nets_different_all noMT10)
apply (simp add:  PUTListGD_def gatherDomain_def)
apply (simp add: domain_reasoning domMT1010 dom_nat10)
apply (tactic  
 "REPEAT(CHANGED(TRYALL((rtac @{thm conjI}) THEN' (rtac @{thm impI}))))")  
apply (simp_all add: split_tupled_all  UnfoldPolicy10 subnets C.simps)
apply (gen_test_cases PUT simp: UnfoldPolicy10 adrs subnets  )
apply (simp_all add: subnets adrs UPFDefs)
store_test_thm natT10


test_spec 
"PUT x = policy_2 x"
apply (prepare_fw_spec)
apply (simp_all add: C.simps split_tupled_all  UnfoldPolicy2 subnets )
apply (gen_test_cases PUT simp: UnfoldPolicy2)
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS(
      (full_simp_tac (simpset_of @{context}addsimps @{thms subnets adrs PO_def UnfoldPolicy2}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: subnets adrs)
store_test_thm natT2NN


test_spec 
"PUT x = policy_3 x"
apply (prepare_fw_spec)
apply (simp_all add: C.simps split_tupled_all  UnfoldPolicy3 subnets )
apply (gen_test_cases PUT simp: UnfoldPolicy3)
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS(
      (full_simp_tac (simpset_of @{context}addsimps @{thms subnets adrs PO_def UnfoldPolicy2}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: subnets adrs)
store_test_thm natT3NN


test_spec 
"PUT x = policy_4 x"
apply (prepare_fw_spec)
apply (simp_all add: C.simps split_tupled_all  UnfoldPolicy4 subnets )
apply (gen_test_cases PUT simp: UnfoldPolicy4)
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS(
      (full_simp_tac (simpset_of @{context}addsimps @{thms subnets adrs PO_def UnfoldPolicy2}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: subnets adrs)
store_test_thm natT4NN
test_spec 
"PUT x = policy_5 x"
apply (prepare_fw_spec)
apply (simp_all add: C.simps split_tupled_all  UnfoldPolicy5 subnets )
apply (gen_test_cases PUT simp: UnfoldPolicy5)
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS(
      (full_simp_tac (simpset_of @{context}addsimps @{thms subnets adrs PO_def UnfoldPolicy2}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: subnets adrs)
store_test_thm natT5NN


test_spec 
"PUT x = policy_6 x"
apply (prepare_fw_spec)
apply (simp_all add: C.simps split_tupled_all  UnfoldPolicy6 subnets )
apply (gen_test_cases PUT simp: UnfoldPolicy6)
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS(
      (full_simp_tac (simpset_of @{context}addsimps @{thms subnets adrs PO_def UnfoldPolicy6}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: subnets adrs)
store_test_thm natT6NN

test_spec 
"PUT x = policy_7 x"
apply (prepare_fw_spec)
apply (simp_all add: C.simps split_tupled_all  UnfoldPolicy7 subnets )
apply (gen_test_cases PUT simp: UnfoldPolicy7)
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS(
      (full_simp_tac (simpset_of @{context}addsimps @{thms subnets adrs PO_def UnfoldPolicy7}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: subnets adrs)
store_test_thm natT7NN

test_spec 
"PUT x = policy_8 x"
apply (prepare_fw_spec)
apply (simp_all add: C.simps split_tupled_all  UnfoldPolicy8 subnets )
apply (gen_test_cases PUT simp: UnfoldPolicy8)
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS(
      (full_simp_tac (simpset_of @{context}addsimps @{thms subnets adrs PO_def UnfoldPolicy8}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: subnets adrs)
store_test_thm natT8NN

test_spec 
"PUT x = policy_9 x"
apply (prepare_fw_spec)
apply (simp_all add: C.simps split_tupled_all  UnfoldPolicy9 subnets )
apply (gen_test_cases PUT simp: UnfoldPolicy9)
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS(
      (full_simp_tac (simpset_of @{context}addsimps @{thms subnets adrs PO_def UnfoldPolicy9}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: subnets adrs)
store_test_thm natT9NN

test_spec 
"PUT x = policy_10 x"
apply (prepare_fw_spec)
apply (simp_all add: C.simps split_tupled_all  UnfoldPolicy10 subnets )
apply (gen_test_cases PUT simp: UnfoldPolicy10)
apply (tactic 
 "ALLGOALS(TestGen.ONLY_POS(
      (full_simp_tac (simpset_of @{context}addsimps @{thms subnets adrs PO_def UnfoldPolicy10}))
      THEN_ALL_NEW ( (rtac @{thm PO_add}))))") 
apply (simp_all add: subnets adrs)
store_test_thm natT10NN




write_clocks "time_stats_nats_norm.tex"

declare [[testgen_profiling = false]]

end
