
 
header{* File generated by script "generate_rule_thy.sh", on 
Tue Oct  9 22:32:16 CEST 2012.
*}

theory 
  fwrules
imports
  FWTesting 
begin

declare [[testgen_profiling]]
declare [[testgen_iterations=100]]
declare [[testgen_SMT=true]]

definition
  workstation::"adr\<^isub>i\<^isub>p net" where
  "workstation = {{(a,b) . (a=3) }}"
definition
  internet :: "adr\<^isub>i\<^isub>p net" where
  "internet = {{(a,b).  \<not> (a =3)}}"

definition
  not_in_same_net :: "(adr\<^isub>i\<^isub>p,DummyContent) packet \<Rightarrow> bool" where
  "not_in_same_net x  =  ((src x \<sqsubset> workstation \<longrightarrow> ( (dest x \<sqsubset> internet))) \<and> 
  (src x \<sqsubset> internet \<longrightarrow>  dest x \<sqsubset> workstation))"

definition
   policy_0 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_0 = deny_all"

definition "policy_0_Summary  = policy_0"

lemmas UnfoldPolicy0 =  src_def dest_def in_subnet_def IntegerPort.src_port_def 
                       IntegerPort.dest_port_def 
                       workstation_def internet_def policy_0_def 
                       
lemmas UnfoldPolicyS0 = policy_0_Summary_def
test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_0 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicy0 PortCombinators)
apply (simp_all add: not_in_same_net_def UnfoldPolicy0)
store_test_thm "policy_0"

gen_test_data "policy_0"



definition
   policy_1 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_1 = policy_0 ++ allow_from_to_port (1::port) workstation internet"

lemmas UnfoldPolicy1 = UnfoldPolicy0 policy_1_def 


definition
   policy_2 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_2 = policy_1 ++ allow_from_to_port (2::port) workstation internet"

lemmas UnfoldPolicy2 = UnfoldPolicy1 policy_2_def 


definition
   policy_3 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_3 = policy_2 ++ allow_from_to_port (3::port) workstation internet"

lemmas UnfoldPolicy3 = UnfoldPolicy2 policy_3_def 


definition
   policy_4 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_4 = policy_3 ++ allow_from_to_port (4::port) workstation internet"

lemmas UnfoldPolicy4 = UnfoldPolicy3 policy_4_def 


definition
   policy_5 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_5 = policy_4 ++ allow_from_to_port (5::port) workstation internet"

lemmas UnfoldPolicy5 = UnfoldPolicy4 policy_5_def 


definition
   policy_6 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_6 = policy_5 ++ allow_from_to_port (6::port) workstation internet"

lemmas UnfoldPolicy6 = UnfoldPolicy5 policy_6_def 


definition
   policy_7 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_7 = policy_6 ++ allow_from_to_port (7::port) workstation internet"

lemmas UnfoldPolicy7 = UnfoldPolicy6 policy_7_def 


definition
   policy_8 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_8 = policy_7 ++ allow_from_to_port (8::port) workstation internet"

lemmas UnfoldPolicy8 = UnfoldPolicy7 policy_8_def 


definition
   policy_9 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_9 = policy_8 ++ allow_from_to_port (9::port) workstation internet"

lemmas UnfoldPolicy9 = UnfoldPolicy8 policy_9_def 


definition
   policy_10 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_10 = policy_9 ++ allow_from_to_port (10::port) workstation internet"

lemmas UnfoldPolicy10 = UnfoldPolicy9 policy_10_def 




definition
   policy_10_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_10_Summary = policy_0_Summary ++ allow_from_to_ports {1..(10::port)} workstation internet"

lemmas UnfoldPolicyS10 = UnfoldPolicyS0 policy_10_Summary_def



definition
   policy_11 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_11 = policy_10 ++ allow_from_to_port (11::port) workstation internet"

lemmas UnfoldPolicy11 = UnfoldPolicy10 policy_11_def 


definition
   policy_12 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_12 = policy_11 ++ allow_from_to_port (12::port) workstation internet"

lemmas UnfoldPolicy12 = UnfoldPolicy11 policy_12_def 


definition
   policy_13 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_13 = policy_12 ++ allow_from_to_port (13::port) workstation internet"

lemmas UnfoldPolicy13 = UnfoldPolicy12 policy_13_def 


definition
   policy_14 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_14 = policy_13 ++ allow_from_to_port (14::port) workstation internet"

lemmas UnfoldPolicy14 = UnfoldPolicy13 policy_14_def 


definition
   policy_15 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_15 = policy_14 ++ allow_from_to_port (15::port) workstation internet"

lemmas UnfoldPolicy15 = UnfoldPolicy14 policy_15_def 


definition
   policy_16 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_16 = policy_15 ++ allow_from_to_port (16::port) workstation internet"

lemmas UnfoldPolicy16 = UnfoldPolicy15 policy_16_def 


definition
   policy_17 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_17 = policy_16 ++ allow_from_to_port (17::port) workstation internet"

lemmas UnfoldPolicy17 = UnfoldPolicy16 policy_17_def 


definition
   policy_18 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_18 = policy_17 ++ allow_from_to_port (18::port) workstation internet"

lemmas UnfoldPolicy18 = UnfoldPolicy17 policy_18_def 


definition
   policy_19 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_19 = policy_18 ++ allow_from_to_port (19::port) workstation internet"

lemmas UnfoldPolicy19 = UnfoldPolicy18 policy_19_def 


definition
   policy_20 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_20 = policy_19 ++ allow_from_to_port (20::port) workstation internet"

lemmas UnfoldPolicy20 = UnfoldPolicy19 policy_20_def 




definition
   policy_20_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_20_Summary = policy_10_Summary ++ allow_from_to_ports {11..(20::port)} workstation internet"

lemmas UnfoldPolicyS20 = UnfoldPolicyS10 policy_20_Summary_def



definition
   policy_21 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_21 = policy_20 ++ allow_from_to_port (21::port) workstation internet"

lemmas UnfoldPolicy21 = UnfoldPolicy20 policy_21_def 


definition
   policy_22 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_22 = policy_21 ++ allow_from_to_port (22::port) workstation internet"

lemmas UnfoldPolicy22 = UnfoldPolicy21 policy_22_def 


definition
   policy_23 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_23 = policy_22 ++ allow_from_to_port (23::port) workstation internet"

lemmas UnfoldPolicy23 = UnfoldPolicy22 policy_23_def 


definition
   policy_24 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_24 = policy_23 ++ allow_from_to_port (24::port) workstation internet"

lemmas UnfoldPolicy24 = UnfoldPolicy23 policy_24_def 


definition
   policy_25 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_25 = policy_24 ++ allow_from_to_port (25::port) workstation internet"

lemmas UnfoldPolicy25 = UnfoldPolicy24 policy_25_def 


definition
   policy_26 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_26 = policy_25 ++ allow_from_to_port (26::port) workstation internet"

lemmas UnfoldPolicy26 = UnfoldPolicy25 policy_26_def 


definition
   policy_27 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_27 = policy_26 ++ allow_from_to_port (27::port) workstation internet"

lemmas UnfoldPolicy27 = UnfoldPolicy26 policy_27_def 


definition
   policy_28 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_28 = policy_27 ++ allow_from_to_port (28::port) workstation internet"

lemmas UnfoldPolicy28 = UnfoldPolicy27 policy_28_def 


definition
   policy_29 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_29 = policy_28 ++ allow_from_to_port (29::port) workstation internet"

lemmas UnfoldPolicy29 = UnfoldPolicy28 policy_29_def 


definition
   policy_30 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_30 = policy_29 ++ allow_from_to_port (30::port) workstation internet"

lemmas UnfoldPolicy30 = UnfoldPolicy29 policy_30_def 




definition
   policy_30_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_30_Summary = policy_20_Summary ++ allow_from_to_ports {21..(30::port)} workstation internet"

lemmas UnfoldPolicyS30 = UnfoldPolicyS20 policy_30_Summary_def



definition
   policy_31 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_31 = policy_30 ++ allow_from_to_port (31::port) workstation internet"

lemmas UnfoldPolicy31 = UnfoldPolicy30 policy_31_def 


definition
   policy_32 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_32 = policy_31 ++ allow_from_to_port (32::port) workstation internet"

lemmas UnfoldPolicy32 = UnfoldPolicy31 policy_32_def 


definition
   policy_33 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_33 = policy_32 ++ allow_from_to_port (33::port) workstation internet"

lemmas UnfoldPolicy33 = UnfoldPolicy32 policy_33_def 


definition
   policy_34 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_34 = policy_33 ++ allow_from_to_port (34::port) workstation internet"

lemmas UnfoldPolicy34 = UnfoldPolicy33 policy_34_def 


definition
   policy_35 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_35 = policy_34 ++ allow_from_to_port (35::port) workstation internet"

lemmas UnfoldPolicy35 = UnfoldPolicy34 policy_35_def 


definition
   policy_36 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_36 = policy_35 ++ allow_from_to_port (36::port) workstation internet"

lemmas UnfoldPolicy36 = UnfoldPolicy35 policy_36_def 


definition
   policy_37 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_37 = policy_36 ++ allow_from_to_port (37::port) workstation internet"

lemmas UnfoldPolicy37 = UnfoldPolicy36 policy_37_def 


definition
   policy_38 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_38 = policy_37 ++ allow_from_to_port (38::port) workstation internet"

lemmas UnfoldPolicy38 = UnfoldPolicy37 policy_38_def 


definition
   policy_39 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_39 = policy_38 ++ allow_from_to_port (39::port) workstation internet"

lemmas UnfoldPolicy39 = UnfoldPolicy38 policy_39_def 


definition
   policy_40 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_40 = policy_39 ++ allow_from_to_port (40::port) workstation internet"

lemmas UnfoldPolicy40 = UnfoldPolicy39 policy_40_def 




definition
   policy_40_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_40_Summary = policy_30_Summary ++ allow_from_to_ports {31..(40::port)} workstation internet"

lemmas UnfoldPolicyS40 = UnfoldPolicyS30 policy_40_Summary_def



definition
   policy_41 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_41 = policy_40 ++ allow_from_to_port (41::port) workstation internet"

lemmas UnfoldPolicy41 = UnfoldPolicy40 policy_41_def 


definition
   policy_42 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_42 = policy_41 ++ allow_from_to_port (42::port) workstation internet"

lemmas UnfoldPolicy42 = UnfoldPolicy41 policy_42_def 


definition
   policy_43 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_43 = policy_42 ++ allow_from_to_port (43::port) workstation internet"

lemmas UnfoldPolicy43 = UnfoldPolicy42 policy_43_def 


definition
   policy_44 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_44 = policy_43 ++ allow_from_to_port (44::port) workstation internet"

lemmas UnfoldPolicy44 = UnfoldPolicy43 policy_44_def 


definition
   policy_45 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_45 = policy_44 ++ allow_from_to_port (45::port) workstation internet"

lemmas UnfoldPolicy45 = UnfoldPolicy44 policy_45_def 


definition
   policy_46 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_46 = policy_45 ++ allow_from_to_port (46::port) workstation internet"

lemmas UnfoldPolicy46 = UnfoldPolicy45 policy_46_def 


definition
   policy_47 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_47 = policy_46 ++ allow_from_to_port (47::port) workstation internet"

lemmas UnfoldPolicy47 = UnfoldPolicy46 policy_47_def 


definition
   policy_48 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_48 = policy_47 ++ allow_from_to_port (48::port) workstation internet"

lemmas UnfoldPolicy48 = UnfoldPolicy47 policy_48_def 


definition
   policy_49 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_49 = policy_48 ++ allow_from_to_port (49::port) workstation internet"

lemmas UnfoldPolicy49 = UnfoldPolicy48 policy_49_def 


definition
   policy_50 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_50 = policy_49 ++ allow_from_to_port (50::port) workstation internet"

lemmas UnfoldPolicy50 = UnfoldPolicy49 policy_50_def 




definition
   policy_50_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_50_Summary = policy_40_Summary ++ allow_from_to_ports {41..(50::port)} workstation internet"

lemmas UnfoldPolicyS50 = UnfoldPolicyS40 policy_50_Summary_def



definition
   policy_51 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_51 = policy_50 ++ allow_from_to_port (51::port) workstation internet"

lemmas UnfoldPolicy51 = UnfoldPolicy50 policy_51_def 


definition
   policy_52 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_52 = policy_51 ++ allow_from_to_port (52::port) workstation internet"

lemmas UnfoldPolicy52 = UnfoldPolicy51 policy_52_def 


definition
   policy_53 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_53 = policy_52 ++ allow_from_to_port (53::port) workstation internet"

lemmas UnfoldPolicy53 = UnfoldPolicy52 policy_53_def 


definition
   policy_54 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_54 = policy_53 ++ allow_from_to_port (54::port) workstation internet"

lemmas UnfoldPolicy54 = UnfoldPolicy53 policy_54_def 


definition
   policy_55 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_55 = policy_54 ++ allow_from_to_port (55::port) workstation internet"

lemmas UnfoldPolicy55 = UnfoldPolicy54 policy_55_def 


definition
   policy_56 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_56 = policy_55 ++ allow_from_to_port (56::port) workstation internet"

lemmas UnfoldPolicy56 = UnfoldPolicy55 policy_56_def 


definition
   policy_57 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_57 = policy_56 ++ allow_from_to_port (57::port) workstation internet"

lemmas UnfoldPolicy57 = UnfoldPolicy56 policy_57_def 


definition
   policy_58 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_58 = policy_57 ++ allow_from_to_port (58::port) workstation internet"

lemmas UnfoldPolicy58 = UnfoldPolicy57 policy_58_def 


definition
   policy_59 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_59 = policy_58 ++ allow_from_to_port (59::port) workstation internet"

lemmas UnfoldPolicy59 = UnfoldPolicy58 policy_59_def 


definition
   policy_60 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_60 = policy_59 ++ allow_from_to_port (60::port) workstation internet"

lemmas UnfoldPolicy60 = UnfoldPolicy59 policy_60_def 




definition
   policy_60_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_60_Summary = policy_50_Summary ++ allow_from_to_ports {51..(60::port)} workstation internet"

lemmas UnfoldPolicyS60 = UnfoldPolicyS50 policy_60_Summary_def



definition
   policy_61 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_61 = policy_60 ++ allow_from_to_port (61::port) workstation internet"

lemmas UnfoldPolicy61 = UnfoldPolicy60 policy_61_def 


definition
   policy_62 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_62 = policy_61 ++ allow_from_to_port (62::port) workstation internet"

lemmas UnfoldPolicy62 = UnfoldPolicy61 policy_62_def 


definition
   policy_63 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_63 = policy_62 ++ allow_from_to_port (63::port) workstation internet"

lemmas UnfoldPolicy63 = UnfoldPolicy62 policy_63_def 


definition
   policy_64 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_64 = policy_63 ++ allow_from_to_port (64::port) workstation internet"

lemmas UnfoldPolicy64 = UnfoldPolicy63 policy_64_def 


definition
   policy_65 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_65 = policy_64 ++ allow_from_to_port (65::port) workstation internet"

lemmas UnfoldPolicy65 = UnfoldPolicy64 policy_65_def 


definition
   policy_66 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_66 = policy_65 ++ allow_from_to_port (66::port) workstation internet"

lemmas UnfoldPolicy66 = UnfoldPolicy65 policy_66_def 


definition
   policy_67 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_67 = policy_66 ++ allow_from_to_port (67::port) workstation internet"

lemmas UnfoldPolicy67 = UnfoldPolicy66 policy_67_def 


definition
   policy_68 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_68 = policy_67 ++ allow_from_to_port (68::port) workstation internet"

lemmas UnfoldPolicy68 = UnfoldPolicy67 policy_68_def 


definition
   policy_69 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_69 = policy_68 ++ allow_from_to_port (69::port) workstation internet"

lemmas UnfoldPolicy69 = UnfoldPolicy68 policy_69_def 


definition
   policy_70 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_70 = policy_69 ++ allow_from_to_port (70::port) workstation internet"

lemmas UnfoldPolicy70 = UnfoldPolicy69 policy_70_def 




definition
   policy_70_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_70_Summary = policy_60_Summary ++ allow_from_to_ports {61..(70::port)} workstation internet"

lemmas UnfoldPolicyS70 = UnfoldPolicyS60 policy_70_Summary_def



definition
   policy_71 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_71 = policy_70 ++ allow_from_to_port (71::port) workstation internet"

lemmas UnfoldPolicy71 = UnfoldPolicy70 policy_71_def 


definition
   policy_72 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_72 = policy_71 ++ allow_from_to_port (72::port) workstation internet"

lemmas UnfoldPolicy72 = UnfoldPolicy71 policy_72_def 


definition
   policy_73 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_73 = policy_72 ++ allow_from_to_port (73::port) workstation internet"

lemmas UnfoldPolicy73 = UnfoldPolicy72 policy_73_def 


definition
   policy_74 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_74 = policy_73 ++ allow_from_to_port (74::port) workstation internet"

lemmas UnfoldPolicy74 = UnfoldPolicy73 policy_74_def 


definition
   policy_75 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_75 = policy_74 ++ allow_from_to_port (75::port) workstation internet"

lemmas UnfoldPolicy75 = UnfoldPolicy74 policy_75_def 


definition
   policy_76 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_76 = policy_75 ++ allow_from_to_port (76::port) workstation internet"

lemmas UnfoldPolicy76 = UnfoldPolicy75 policy_76_def 


definition
   policy_77 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_77 = policy_76 ++ allow_from_to_port (77::port) workstation internet"

lemmas UnfoldPolicy77 = UnfoldPolicy76 policy_77_def 


definition
   policy_78 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_78 = policy_77 ++ allow_from_to_port (78::port) workstation internet"

lemmas UnfoldPolicy78 = UnfoldPolicy77 policy_78_def 


definition
   policy_79 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_79 = policy_78 ++ allow_from_to_port (79::port) workstation internet"

lemmas UnfoldPolicy79 = UnfoldPolicy78 policy_79_def 


definition
   policy_80 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_80 = policy_79 ++ allow_from_to_port (80::port) workstation internet"

lemmas UnfoldPolicy80 = UnfoldPolicy79 policy_80_def 




definition
   policy_80_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_80_Summary = policy_70_Summary ++ allow_from_to_ports {71..(80::port)} workstation internet"

lemmas UnfoldPolicyS80 = UnfoldPolicyS70 policy_80_Summary_def



definition
   policy_81 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_81 = policy_80 ++ allow_from_to_port (81::port) workstation internet"

lemmas UnfoldPolicy81 = UnfoldPolicy80 policy_81_def 


definition
   policy_82 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_82 = policy_81 ++ allow_from_to_port (82::port) workstation internet"

lemmas UnfoldPolicy82 = UnfoldPolicy81 policy_82_def 


definition
   policy_83 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_83 = policy_82 ++ allow_from_to_port (83::port) workstation internet"

lemmas UnfoldPolicy83 = UnfoldPolicy82 policy_83_def 


definition
   policy_84 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_84 = policy_83 ++ allow_from_to_port (84::port) workstation internet"

lemmas UnfoldPolicy84 = UnfoldPolicy83 policy_84_def 


definition
   policy_85 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_85 = policy_84 ++ allow_from_to_port (85::port) workstation internet"

lemmas UnfoldPolicy85 = UnfoldPolicy84 policy_85_def 


definition
   policy_86 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_86 = policy_85 ++ allow_from_to_port (86::port) workstation internet"

lemmas UnfoldPolicy86 = UnfoldPolicy85 policy_86_def 


definition
   policy_87 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_87 = policy_86 ++ allow_from_to_port (87::port) workstation internet"

lemmas UnfoldPolicy87 = UnfoldPolicy86 policy_87_def 


definition
   policy_88 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_88 = policy_87 ++ allow_from_to_port (88::port) workstation internet"

lemmas UnfoldPolicy88 = UnfoldPolicy87 policy_88_def 


definition
   policy_89 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_89 = policy_88 ++ allow_from_to_port (89::port) workstation internet"

lemmas UnfoldPolicy89 = UnfoldPolicy88 policy_89_def 


definition
   policy_90 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_90 = policy_89 ++ allow_from_to_port (90::port) workstation internet"

lemmas UnfoldPolicy90 = UnfoldPolicy89 policy_90_def 




definition
   policy_90_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_90_Summary = policy_80_Summary ++ allow_from_to_ports {81..(90::port)} workstation internet"

lemmas UnfoldPolicyS90 = UnfoldPolicyS80 policy_90_Summary_def



definition
   policy_91 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_91 = policy_90 ++ allow_from_to_port (91::port) workstation internet"

lemmas UnfoldPolicy91 = UnfoldPolicy90 policy_91_def 


definition
   policy_92 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_92 = policy_91 ++ allow_from_to_port (92::port) workstation internet"

lemmas UnfoldPolicy92 = UnfoldPolicy91 policy_92_def 


definition
   policy_93 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_93 = policy_92 ++ allow_from_to_port (93::port) workstation internet"

lemmas UnfoldPolicy93 = UnfoldPolicy92 policy_93_def 


definition
   policy_94 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_94 = policy_93 ++ allow_from_to_port (94::port) workstation internet"

lemmas UnfoldPolicy94 = UnfoldPolicy93 policy_94_def 


definition
   policy_95 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_95 = policy_94 ++ allow_from_to_port (95::port) workstation internet"

lemmas UnfoldPolicy95 = UnfoldPolicy94 policy_95_def 


definition
   policy_96 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_96 = policy_95 ++ allow_from_to_port (96::port) workstation internet"

lemmas UnfoldPolicy96 = UnfoldPolicy95 policy_96_def 


definition
   policy_97 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_97 = policy_96 ++ allow_from_to_port (97::port) workstation internet"

lemmas UnfoldPolicy97 = UnfoldPolicy96 policy_97_def 


definition
   policy_98 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_98 = policy_97 ++ allow_from_to_port (98::port) workstation internet"

lemmas UnfoldPolicy98 = UnfoldPolicy97 policy_98_def 


definition
   policy_99 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_99 = policy_98 ++ allow_from_to_port (99::port) workstation internet"

lemmas UnfoldPolicy99 = UnfoldPolicy98 policy_99_def 


definition
   policy_100 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_100 = policy_99 ++ allow_from_to_port (100::port) workstation internet"

lemmas UnfoldPolicy100 = UnfoldPolicy99 policy_100_def 




definition
   policy_100_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_100_Summary = policy_90_Summary ++ allow_from_to_ports {91..(100::port)} workstation internet"

lemmas UnfoldPolicyS100 = UnfoldPolicyS90 policy_100_Summary_def



definition
   policy_101 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_101 = policy_100 ++ allow_from_to_port (101::port) workstation internet"

lemmas UnfoldPolicy101 = UnfoldPolicy100 policy_101_def 


definition
   policy_102 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_102 = policy_101 ++ allow_from_to_port (102::port) workstation internet"

lemmas UnfoldPolicy102 = UnfoldPolicy101 policy_102_def 


definition
   policy_103 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_103 = policy_102 ++ allow_from_to_port (103::port) workstation internet"

lemmas UnfoldPolicy103 = UnfoldPolicy102 policy_103_def 


definition
   policy_104 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_104 = policy_103 ++ allow_from_to_port (104::port) workstation internet"

lemmas UnfoldPolicy104 = UnfoldPolicy103 policy_104_def 


definition
   policy_105 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_105 = policy_104 ++ allow_from_to_port (105::port) workstation internet"

lemmas UnfoldPolicy105 = UnfoldPolicy104 policy_105_def 


definition
   policy_106 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_106 = policy_105 ++ allow_from_to_port (106::port) workstation internet"

lemmas UnfoldPolicy106 = UnfoldPolicy105 policy_106_def 


definition
   policy_107 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_107 = policy_106 ++ allow_from_to_port (107::port) workstation internet"

lemmas UnfoldPolicy107 = UnfoldPolicy106 policy_107_def 


definition
   policy_108 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_108 = policy_107 ++ allow_from_to_port (108::port) workstation internet"

lemmas UnfoldPolicy108 = UnfoldPolicy107 policy_108_def 


definition
   policy_109 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_109 = policy_108 ++ allow_from_to_port (109::port) workstation internet"

lemmas UnfoldPolicy109 = UnfoldPolicy108 policy_109_def 


definition
   policy_110 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_110 = policy_109 ++ allow_from_to_port (110::port) workstation internet"

lemmas UnfoldPolicy110 = UnfoldPolicy109 policy_110_def 




definition
   policy_110_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_110_Summary = policy_100_Summary ++ allow_from_to_ports {101..(110::port)} workstation internet"

lemmas UnfoldPolicyS110 = UnfoldPolicyS100 policy_110_Summary_def



definition
   policy_111 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_111 = policy_110 ++ allow_from_to_port (111::port) workstation internet"

lemmas UnfoldPolicy111 = UnfoldPolicy110 policy_111_def 


definition
   policy_112 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_112 = policy_111 ++ allow_from_to_port (112::port) workstation internet"

lemmas UnfoldPolicy112 = UnfoldPolicy111 policy_112_def 


definition
   policy_113 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_113 = policy_112 ++ allow_from_to_port (113::port) workstation internet"

lemmas UnfoldPolicy113 = UnfoldPolicy112 policy_113_def 


definition
   policy_114 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_114 = policy_113 ++ allow_from_to_port (114::port) workstation internet"

lemmas UnfoldPolicy114 = UnfoldPolicy113 policy_114_def 


definition
   policy_115 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_115 = policy_114 ++ allow_from_to_port (115::port) workstation internet"

lemmas UnfoldPolicy115 = UnfoldPolicy114 policy_115_def 


definition
   policy_116 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_116 = policy_115 ++ allow_from_to_port (116::port) workstation internet"

lemmas UnfoldPolicy116 = UnfoldPolicy115 policy_116_def 


definition
   policy_117 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_117 = policy_116 ++ allow_from_to_port (117::port) workstation internet"

lemmas UnfoldPolicy117 = UnfoldPolicy116 policy_117_def 


definition
   policy_118 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_118 = policy_117 ++ allow_from_to_port (118::port) workstation internet"

lemmas UnfoldPolicy118 = UnfoldPolicy117 policy_118_def 


definition
   policy_119 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_119 = policy_118 ++ allow_from_to_port (119::port) workstation internet"

lemmas UnfoldPolicy119 = UnfoldPolicy118 policy_119_def 


definition
   policy_120 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_120 = policy_119 ++ allow_from_to_port (120::port) workstation internet"

lemmas UnfoldPolicy120 = UnfoldPolicy119 policy_120_def 




definition
   policy_120_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_120_Summary = policy_110_Summary ++ allow_from_to_ports {111..(120::port)} workstation internet"

lemmas UnfoldPolicyS120 = UnfoldPolicyS110 policy_120_Summary_def



definition
   policy_121 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_121 = policy_120 ++ allow_from_to_port (121::port) workstation internet"

lemmas UnfoldPolicy121 = UnfoldPolicy120 policy_121_def 


definition
   policy_122 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_122 = policy_121 ++ allow_from_to_port (122::port) workstation internet"

lemmas UnfoldPolicy122 = UnfoldPolicy121 policy_122_def 


definition
   policy_123 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_123 = policy_122 ++ allow_from_to_port (123::port) workstation internet"

lemmas UnfoldPolicy123 = UnfoldPolicy122 policy_123_def 


definition
   policy_124 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_124 = policy_123 ++ allow_from_to_port (124::port) workstation internet"

lemmas UnfoldPolicy124 = UnfoldPolicy123 policy_124_def 


definition
   policy_125 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_125 = policy_124 ++ allow_from_to_port (125::port) workstation internet"

lemmas UnfoldPolicy125 = UnfoldPolicy124 policy_125_def 


definition
   policy_126 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_126 = policy_125 ++ allow_from_to_port (126::port) workstation internet"

lemmas UnfoldPolicy126 = UnfoldPolicy125 policy_126_def 


definition
   policy_127 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_127 = policy_126 ++ allow_from_to_port (127::port) workstation internet"

lemmas UnfoldPolicy127 = UnfoldPolicy126 policy_127_def 


definition
   policy_128 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_128 = policy_127 ++ allow_from_to_port (128::port) workstation internet"

lemmas UnfoldPolicy128 = UnfoldPolicy127 policy_128_def 


definition
   policy_129 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_129 = policy_128 ++ allow_from_to_port (129::port) workstation internet"

lemmas UnfoldPolicy129 = UnfoldPolicy128 policy_129_def 


definition
   policy_130 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_130 = policy_129 ++ allow_from_to_port (130::port) workstation internet"

lemmas UnfoldPolicy130 = UnfoldPolicy129 policy_130_def 




definition
   policy_130_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_130_Summary = policy_120_Summary ++ allow_from_to_ports {121..(130::port)} workstation internet"

lemmas UnfoldPolicyS130 = UnfoldPolicyS120 policy_130_Summary_def



definition
   policy_131 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_131 = policy_130 ++ allow_from_to_port (131::port) workstation internet"

lemmas UnfoldPolicy131 = UnfoldPolicy130 policy_131_def 


definition
   policy_132 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_132 = policy_131 ++ allow_from_to_port (132::port) workstation internet"

lemmas UnfoldPolicy132 = UnfoldPolicy131 policy_132_def 


definition
   policy_133 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_133 = policy_132 ++ allow_from_to_port (133::port) workstation internet"

lemmas UnfoldPolicy133 = UnfoldPolicy132 policy_133_def 


definition
   policy_134 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_134 = policy_133 ++ allow_from_to_port (134::port) workstation internet"

lemmas UnfoldPolicy134 = UnfoldPolicy133 policy_134_def 


definition
   policy_135 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_135 = policy_134 ++ allow_from_to_port (135::port) workstation internet"

lemmas UnfoldPolicy135 = UnfoldPolicy134 policy_135_def 


definition
   policy_136 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_136 = policy_135 ++ allow_from_to_port (136::port) workstation internet"

lemmas UnfoldPolicy136 = UnfoldPolicy135 policy_136_def 


definition
   policy_137 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_137 = policy_136 ++ allow_from_to_port (137::port) workstation internet"

lemmas UnfoldPolicy137 = UnfoldPolicy136 policy_137_def 


definition
   policy_138 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_138 = policy_137 ++ allow_from_to_port (138::port) workstation internet"

lemmas UnfoldPolicy138 = UnfoldPolicy137 policy_138_def 


definition
   policy_139 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_139 = policy_138 ++ allow_from_to_port (139::port) workstation internet"

lemmas UnfoldPolicy139 = UnfoldPolicy138 policy_139_def 


definition
   policy_140 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_140 = policy_139 ++ allow_from_to_port (140::port) workstation internet"

lemmas UnfoldPolicy140 = UnfoldPolicy139 policy_140_def 




definition
   policy_140_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_140_Summary = policy_130_Summary ++ allow_from_to_ports {131..(140::port)} workstation internet"

lemmas UnfoldPolicyS140 = UnfoldPolicyS130 policy_140_Summary_def



definition
   policy_141 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_141 = policy_140 ++ allow_from_to_port (141::port) workstation internet"

lemmas UnfoldPolicy141 = UnfoldPolicy140 policy_141_def 


definition
   policy_142 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_142 = policy_141 ++ allow_from_to_port (142::port) workstation internet"

lemmas UnfoldPolicy142 = UnfoldPolicy141 policy_142_def 


definition
   policy_143 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_143 = policy_142 ++ allow_from_to_port (143::port) workstation internet"

lemmas UnfoldPolicy143 = UnfoldPolicy142 policy_143_def 


definition
   policy_144 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_144 = policy_143 ++ allow_from_to_port (144::port) workstation internet"

lemmas UnfoldPolicy144 = UnfoldPolicy143 policy_144_def 


definition
   policy_145 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_145 = policy_144 ++ allow_from_to_port (145::port) workstation internet"

lemmas UnfoldPolicy145 = UnfoldPolicy144 policy_145_def 


definition
   policy_146 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_146 = policy_145 ++ allow_from_to_port (146::port) workstation internet"

lemmas UnfoldPolicy146 = UnfoldPolicy145 policy_146_def 


definition
   policy_147 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_147 = policy_146 ++ allow_from_to_port (147::port) workstation internet"

lemmas UnfoldPolicy147 = UnfoldPolicy146 policy_147_def 


definition
   policy_148 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_148 = policy_147 ++ allow_from_to_port (148::port) workstation internet"

lemmas UnfoldPolicy148 = UnfoldPolicy147 policy_148_def 


definition
   policy_149 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_149 = policy_148 ++ allow_from_to_port (149::port) workstation internet"

lemmas UnfoldPolicy149 = UnfoldPolicy148 policy_149_def 


definition
   policy_150 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_150 = policy_149 ++ allow_from_to_port (150::port) workstation internet"

lemmas UnfoldPolicy150 = UnfoldPolicy149 policy_150_def 




definition
   policy_150_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_150_Summary = policy_140_Summary ++ allow_from_to_ports {141..(150::port)} workstation internet"

lemmas UnfoldPolicyS150 = UnfoldPolicyS140 policy_150_Summary_def



definition
   policy_151 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_151 = policy_150 ++ allow_from_to_port (151::port) workstation internet"

lemmas UnfoldPolicy151 = UnfoldPolicy150 policy_151_def 


definition
   policy_152 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_152 = policy_151 ++ allow_from_to_port (152::port) workstation internet"

lemmas UnfoldPolicy152 = UnfoldPolicy151 policy_152_def 


definition
   policy_153 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_153 = policy_152 ++ allow_from_to_port (153::port) workstation internet"

lemmas UnfoldPolicy153 = UnfoldPolicy152 policy_153_def 


definition
   policy_154 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_154 = policy_153 ++ allow_from_to_port (154::port) workstation internet"

lemmas UnfoldPolicy154 = UnfoldPolicy153 policy_154_def 


definition
   policy_155 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_155 = policy_154 ++ allow_from_to_port (155::port) workstation internet"

lemmas UnfoldPolicy155 = UnfoldPolicy154 policy_155_def 


definition
   policy_156 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_156 = policy_155 ++ allow_from_to_port (156::port) workstation internet"

lemmas UnfoldPolicy156 = UnfoldPolicy155 policy_156_def 


definition
   policy_157 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_157 = policy_156 ++ allow_from_to_port (157::port) workstation internet"

lemmas UnfoldPolicy157 = UnfoldPolicy156 policy_157_def 


definition
   policy_158 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_158 = policy_157 ++ allow_from_to_port (158::port) workstation internet"

lemmas UnfoldPolicy158 = UnfoldPolicy157 policy_158_def 


definition
   policy_159 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_159 = policy_158 ++ allow_from_to_port (159::port) workstation internet"

lemmas UnfoldPolicy159 = UnfoldPolicy158 policy_159_def 


definition
   policy_160 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_160 = policy_159 ++ allow_from_to_port (160::port) workstation internet"

lemmas UnfoldPolicy160 = UnfoldPolicy159 policy_160_def 




definition
   policy_160_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_160_Summary = policy_150_Summary ++ allow_from_to_ports {151..(160::port)} workstation internet"

lemmas UnfoldPolicyS160 = UnfoldPolicyS150 policy_160_Summary_def



definition
   policy_161 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_161 = policy_160 ++ allow_from_to_port (161::port) workstation internet"

lemmas UnfoldPolicy161 = UnfoldPolicy160 policy_161_def 


definition
   policy_162 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_162 = policy_161 ++ allow_from_to_port (162::port) workstation internet"

lemmas UnfoldPolicy162 = UnfoldPolicy161 policy_162_def 


definition
   policy_163 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_163 = policy_162 ++ allow_from_to_port (163::port) workstation internet"

lemmas UnfoldPolicy163 = UnfoldPolicy162 policy_163_def 


definition
   policy_164 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_164 = policy_163 ++ allow_from_to_port (164::port) workstation internet"

lemmas UnfoldPolicy164 = UnfoldPolicy163 policy_164_def 


definition
   policy_165 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_165 = policy_164 ++ allow_from_to_port (165::port) workstation internet"

lemmas UnfoldPolicy165 = UnfoldPolicy164 policy_165_def 


definition
   policy_166 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_166 = policy_165 ++ allow_from_to_port (166::port) workstation internet"

lemmas UnfoldPolicy166 = UnfoldPolicy165 policy_166_def 


definition
   policy_167 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_167 = policy_166 ++ allow_from_to_port (167::port) workstation internet"

lemmas UnfoldPolicy167 = UnfoldPolicy166 policy_167_def 


definition
   policy_168 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_168 = policy_167 ++ allow_from_to_port (168::port) workstation internet"

lemmas UnfoldPolicy168 = UnfoldPolicy167 policy_168_def 


definition
   policy_169 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_169 = policy_168 ++ allow_from_to_port (169::port) workstation internet"

lemmas UnfoldPolicy169 = UnfoldPolicy168 policy_169_def 


definition
   policy_170 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_170 = policy_169 ++ allow_from_to_port (170::port) workstation internet"

lemmas UnfoldPolicy170 = UnfoldPolicy169 policy_170_def 




definition
   policy_170_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_170_Summary = policy_160_Summary ++ allow_from_to_ports {161..(170::port)} workstation internet"

lemmas UnfoldPolicyS170 = UnfoldPolicyS160 policy_170_Summary_def



definition
   policy_171 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_171 = policy_170 ++ allow_from_to_port (171::port) workstation internet"

lemmas UnfoldPolicy171 = UnfoldPolicy170 policy_171_def 


definition
   policy_172 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_172 = policy_171 ++ allow_from_to_port (172::port) workstation internet"

lemmas UnfoldPolicy172 = UnfoldPolicy171 policy_172_def 


definition
   policy_173 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_173 = policy_172 ++ allow_from_to_port (173::port) workstation internet"

lemmas UnfoldPolicy173 = UnfoldPolicy172 policy_173_def 


definition
   policy_174 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_174 = policy_173 ++ allow_from_to_port (174::port) workstation internet"

lemmas UnfoldPolicy174 = UnfoldPolicy173 policy_174_def 


definition
   policy_175 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_175 = policy_174 ++ allow_from_to_port (175::port) workstation internet"

lemmas UnfoldPolicy175 = UnfoldPolicy174 policy_175_def 


definition
   policy_176 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_176 = policy_175 ++ allow_from_to_port (176::port) workstation internet"

lemmas UnfoldPolicy176 = UnfoldPolicy175 policy_176_def 


definition
   policy_177 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_177 = policy_176 ++ allow_from_to_port (177::port) workstation internet"

lemmas UnfoldPolicy177 = UnfoldPolicy176 policy_177_def 


definition
   policy_178 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_178 = policy_177 ++ allow_from_to_port (178::port) workstation internet"

lemmas UnfoldPolicy178 = UnfoldPolicy177 policy_178_def 


definition
   policy_179 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_179 = policy_178 ++ allow_from_to_port (179::port) workstation internet"

lemmas UnfoldPolicy179 = UnfoldPolicy178 policy_179_def 


definition
   policy_180 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_180 = policy_179 ++ allow_from_to_port (180::port) workstation internet"

lemmas UnfoldPolicy180 = UnfoldPolicy179 policy_180_def 




definition
   policy_180_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_180_Summary = policy_170_Summary ++ allow_from_to_ports {171..(180::port)} workstation internet"

lemmas UnfoldPolicyS180 = UnfoldPolicyS170 policy_180_Summary_def



definition
   policy_181 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_181 = policy_180 ++ allow_from_to_port (181::port) workstation internet"

lemmas UnfoldPolicy181 = UnfoldPolicy180 policy_181_def 


definition
   policy_182 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_182 = policy_181 ++ allow_from_to_port (182::port) workstation internet"

lemmas UnfoldPolicy182 = UnfoldPolicy181 policy_182_def 


definition
   policy_183 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_183 = policy_182 ++ allow_from_to_port (183::port) workstation internet"

lemmas UnfoldPolicy183 = UnfoldPolicy182 policy_183_def 


definition
   policy_184 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_184 = policy_183 ++ allow_from_to_port (184::port) workstation internet"

lemmas UnfoldPolicy184 = UnfoldPolicy183 policy_184_def 


definition
   policy_185 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_185 = policy_184 ++ allow_from_to_port (185::port) workstation internet"

lemmas UnfoldPolicy185 = UnfoldPolicy184 policy_185_def 


definition
   policy_186 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_186 = policy_185 ++ allow_from_to_port (186::port) workstation internet"

lemmas UnfoldPolicy186 = UnfoldPolicy185 policy_186_def 


definition
   policy_187 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_187 = policy_186 ++ allow_from_to_port (187::port) workstation internet"

lemmas UnfoldPolicy187 = UnfoldPolicy186 policy_187_def 


definition
   policy_188 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_188 = policy_187 ++ allow_from_to_port (188::port) workstation internet"

lemmas UnfoldPolicy188 = UnfoldPolicy187 policy_188_def 


definition
   policy_189 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_189 = policy_188 ++ allow_from_to_port (189::port) workstation internet"

lemmas UnfoldPolicy189 = UnfoldPolicy188 policy_189_def 


definition
   policy_190 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_190 = policy_189 ++ allow_from_to_port (190::port) workstation internet"

lemmas UnfoldPolicy190 = UnfoldPolicy189 policy_190_def 




definition
   policy_190_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_190_Summary = policy_180_Summary ++ allow_from_to_ports {181..(190::port)} workstation internet"

lemmas UnfoldPolicyS190 = UnfoldPolicyS180 policy_190_Summary_def



definition
   policy_191 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_191 = policy_190 ++ allow_from_to_port (191::port) workstation internet"

lemmas UnfoldPolicy191 = UnfoldPolicy190 policy_191_def 


definition
   policy_192 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_192 = policy_191 ++ allow_from_to_port (192::port) workstation internet"

lemmas UnfoldPolicy192 = UnfoldPolicy191 policy_192_def 


definition
   policy_193 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_193 = policy_192 ++ allow_from_to_port (193::port) workstation internet"

lemmas UnfoldPolicy193 = UnfoldPolicy192 policy_193_def 


definition
   policy_194 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_194 = policy_193 ++ allow_from_to_port (194::port) workstation internet"

lemmas UnfoldPolicy194 = UnfoldPolicy193 policy_194_def 


definition
   policy_195 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_195 = policy_194 ++ allow_from_to_port (195::port) workstation internet"

lemmas UnfoldPolicy195 = UnfoldPolicy194 policy_195_def 


definition
   policy_196 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_196 = policy_195 ++ allow_from_to_port (196::port) workstation internet"

lemmas UnfoldPolicy196 = UnfoldPolicy195 policy_196_def 


definition
   policy_197 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_197 = policy_196 ++ allow_from_to_port (197::port) workstation internet"

lemmas UnfoldPolicy197 = UnfoldPolicy196 policy_197_def 


definition
   policy_198 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_198 = policy_197 ++ allow_from_to_port (198::port) workstation internet"

lemmas UnfoldPolicy198 = UnfoldPolicy197 policy_198_def 


definition
   policy_199 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_199 = policy_198 ++ allow_from_to_port (199::port) workstation internet"

lemmas UnfoldPolicy199 = UnfoldPolicy198 policy_199_def 


definition
   policy_200 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_200 = policy_199 ++ allow_from_to_port (200::port) workstation internet"

lemmas UnfoldPolicy200 = UnfoldPolicy199 policy_200_def 




definition
   policy_200_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_200_Summary = policy_190_Summary ++ allow_from_to_ports {191..(200::port)} workstation internet"

lemmas UnfoldPolicyS200 = UnfoldPolicyS190 policy_200_Summary_def



definition
   policy_201 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_201 = policy_200 ++ allow_from_to_port (201::port) workstation internet"

lemmas UnfoldPolicy201 = UnfoldPolicy200 policy_201_def 


definition
   policy_202 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_202 = policy_201 ++ allow_from_to_port (202::port) workstation internet"

lemmas UnfoldPolicy202 = UnfoldPolicy201 policy_202_def 


definition
   policy_203 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_203 = policy_202 ++ allow_from_to_port (203::port) workstation internet"

lemmas UnfoldPolicy203 = UnfoldPolicy202 policy_203_def 


definition
   policy_204 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_204 = policy_203 ++ allow_from_to_port (204::port) workstation internet"

lemmas UnfoldPolicy204 = UnfoldPolicy203 policy_204_def 


definition
   policy_205 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_205 = policy_204 ++ allow_from_to_port (205::port) workstation internet"

lemmas UnfoldPolicy205 = UnfoldPolicy204 policy_205_def 


definition
   policy_206 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_206 = policy_205 ++ allow_from_to_port (206::port) workstation internet"

lemmas UnfoldPolicy206 = UnfoldPolicy205 policy_206_def 


definition
   policy_207 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_207 = policy_206 ++ allow_from_to_port (207::port) workstation internet"

lemmas UnfoldPolicy207 = UnfoldPolicy206 policy_207_def 


definition
   policy_208 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_208 = policy_207 ++ allow_from_to_port (208::port) workstation internet"

lemmas UnfoldPolicy208 = UnfoldPolicy207 policy_208_def 


definition
   policy_209 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_209 = policy_208 ++ allow_from_to_port (209::port) workstation internet"

lemmas UnfoldPolicy209 = UnfoldPolicy208 policy_209_def 


definition
   policy_210 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_210 = policy_209 ++ allow_from_to_port (210::port) workstation internet"

lemmas UnfoldPolicy210 = UnfoldPolicy209 policy_210_def 




definition
   policy_210_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_210_Summary = policy_200_Summary ++ allow_from_to_ports {201..(210::port)} workstation internet"

lemmas UnfoldPolicyS210 = UnfoldPolicyS200 policy_210_Summary_def



definition
   policy_211 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_211 = policy_210 ++ allow_from_to_port (211::port) workstation internet"

lemmas UnfoldPolicy211 = UnfoldPolicy210 policy_211_def 


definition
   policy_212 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_212 = policy_211 ++ allow_from_to_port (212::port) workstation internet"

lemmas UnfoldPolicy212 = UnfoldPolicy211 policy_212_def 


definition
   policy_213 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_213 = policy_212 ++ allow_from_to_port (213::port) workstation internet"

lemmas UnfoldPolicy213 = UnfoldPolicy212 policy_213_def 


definition
   policy_214 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_214 = policy_213 ++ allow_from_to_port (214::port) workstation internet"

lemmas UnfoldPolicy214 = UnfoldPolicy213 policy_214_def 


definition
   policy_215 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_215 = policy_214 ++ allow_from_to_port (215::port) workstation internet"

lemmas UnfoldPolicy215 = UnfoldPolicy214 policy_215_def 


definition
   policy_216 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_216 = policy_215 ++ allow_from_to_port (216::port) workstation internet"

lemmas UnfoldPolicy216 = UnfoldPolicy215 policy_216_def 


definition
   policy_217 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_217 = policy_216 ++ allow_from_to_port (217::port) workstation internet"

lemmas UnfoldPolicy217 = UnfoldPolicy216 policy_217_def 


definition
   policy_218 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_218 = policy_217 ++ allow_from_to_port (218::port) workstation internet"

lemmas UnfoldPolicy218 = UnfoldPolicy217 policy_218_def 


definition
   policy_219 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_219 = policy_218 ++ allow_from_to_port (219::port) workstation internet"

lemmas UnfoldPolicy219 = UnfoldPolicy218 policy_219_def 


definition
   policy_220 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_220 = policy_219 ++ allow_from_to_port (220::port) workstation internet"

lemmas UnfoldPolicy220 = UnfoldPolicy219 policy_220_def 




definition
   policy_220_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_220_Summary = policy_210_Summary ++ allow_from_to_ports {211..(220::port)} workstation internet"

lemmas UnfoldPolicyS220 = UnfoldPolicyS210 policy_220_Summary_def



definition
   policy_221 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_221 = policy_220 ++ allow_from_to_port (221::port) workstation internet"

lemmas UnfoldPolicy221 = UnfoldPolicy220 policy_221_def 


definition
   policy_222 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_222 = policy_221 ++ allow_from_to_port (222::port) workstation internet"

lemmas UnfoldPolicy222 = UnfoldPolicy221 policy_222_def 


definition
   policy_223 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_223 = policy_222 ++ allow_from_to_port (223::port) workstation internet"

lemmas UnfoldPolicy223 = UnfoldPolicy222 policy_223_def 


definition
   policy_224 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_224 = policy_223 ++ allow_from_to_port (224::port) workstation internet"

lemmas UnfoldPolicy224 = UnfoldPolicy223 policy_224_def 


definition
   policy_225 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_225 = policy_224 ++ allow_from_to_port (225::port) workstation internet"

lemmas UnfoldPolicy225 = UnfoldPolicy224 policy_225_def 


definition
   policy_226 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_226 = policy_225 ++ allow_from_to_port (226::port) workstation internet"

lemmas UnfoldPolicy226 = UnfoldPolicy225 policy_226_def 


definition
   policy_227 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_227 = policy_226 ++ allow_from_to_port (227::port) workstation internet"

lemmas UnfoldPolicy227 = UnfoldPolicy226 policy_227_def 


definition
   policy_228 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_228 = policy_227 ++ allow_from_to_port (228::port) workstation internet"

lemmas UnfoldPolicy228 = UnfoldPolicy227 policy_228_def 


definition
   policy_229 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_229 = policy_228 ++ allow_from_to_port (229::port) workstation internet"

lemmas UnfoldPolicy229 = UnfoldPolicy228 policy_229_def 


definition
   policy_230 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_230 = policy_229 ++ allow_from_to_port (230::port) workstation internet"

lemmas UnfoldPolicy230 = UnfoldPolicy229 policy_230_def 




definition
   policy_230_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_230_Summary = policy_220_Summary ++ allow_from_to_ports {221..(230::port)} workstation internet"

lemmas UnfoldPolicyS230 = UnfoldPolicyS220 policy_230_Summary_def



definition
   policy_231 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_231 = policy_230 ++ allow_from_to_port (231::port) workstation internet"

lemmas UnfoldPolicy231 = UnfoldPolicy230 policy_231_def 


definition
   policy_232 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_232 = policy_231 ++ allow_from_to_port (232::port) workstation internet"

lemmas UnfoldPolicy232 = UnfoldPolicy231 policy_232_def 


definition
   policy_233 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_233 = policy_232 ++ allow_from_to_port (233::port) workstation internet"

lemmas UnfoldPolicy233 = UnfoldPolicy232 policy_233_def 


definition
   policy_234 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_234 = policy_233 ++ allow_from_to_port (234::port) workstation internet"

lemmas UnfoldPolicy234 = UnfoldPolicy233 policy_234_def 


definition
   policy_235 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_235 = policy_234 ++ allow_from_to_port (235::port) workstation internet"

lemmas UnfoldPolicy235 = UnfoldPolicy234 policy_235_def 


definition
   policy_236 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_236 = policy_235 ++ allow_from_to_port (236::port) workstation internet"

lemmas UnfoldPolicy236 = UnfoldPolicy235 policy_236_def 


definition
   policy_237 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_237 = policy_236 ++ allow_from_to_port (237::port) workstation internet"

lemmas UnfoldPolicy237 = UnfoldPolicy236 policy_237_def 


definition
   policy_238 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_238 = policy_237 ++ allow_from_to_port (238::port) workstation internet"

lemmas UnfoldPolicy238 = UnfoldPolicy237 policy_238_def 


definition
   policy_239 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_239 = policy_238 ++ allow_from_to_port (239::port) workstation internet"

lemmas UnfoldPolicy239 = UnfoldPolicy238 policy_239_def 


definition
   policy_240 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_240 = policy_239 ++ allow_from_to_port (240::port) workstation internet"

lemmas UnfoldPolicy240 = UnfoldPolicy239 policy_240_def 




definition
   policy_240_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_240_Summary = policy_230_Summary ++ allow_from_to_ports {231..(240::port)} workstation internet"

lemmas UnfoldPolicyS240 = UnfoldPolicyS230 policy_240_Summary_def



definition
   policy_241 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_241 = policy_240 ++ allow_from_to_port (241::port) workstation internet"

lemmas UnfoldPolicy241 = UnfoldPolicy240 policy_241_def 


definition
   policy_242 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_242 = policy_241 ++ allow_from_to_port (242::port) workstation internet"

lemmas UnfoldPolicy242 = UnfoldPolicy241 policy_242_def 


definition
   policy_243 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_243 = policy_242 ++ allow_from_to_port (243::port) workstation internet"

lemmas UnfoldPolicy243 = UnfoldPolicy242 policy_243_def 


definition
   policy_244 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_244 = policy_243 ++ allow_from_to_port (244::port) workstation internet"

lemmas UnfoldPolicy244 = UnfoldPolicy243 policy_244_def 


definition
   policy_245 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_245 = policy_244 ++ allow_from_to_port (245::port) workstation internet"

lemmas UnfoldPolicy245 = UnfoldPolicy244 policy_245_def 


definition
   policy_246 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_246 = policy_245 ++ allow_from_to_port (246::port) workstation internet"

lemmas UnfoldPolicy246 = UnfoldPolicy245 policy_246_def 


definition
   policy_247 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_247 = policy_246 ++ allow_from_to_port (247::port) workstation internet"

lemmas UnfoldPolicy247 = UnfoldPolicy246 policy_247_def 


definition
   policy_248 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_248 = policy_247 ++ allow_from_to_port (248::port) workstation internet"

lemmas UnfoldPolicy248 = UnfoldPolicy247 policy_248_def 


definition
   policy_249 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_249 = policy_248 ++ allow_from_to_port (249::port) workstation internet"

lemmas UnfoldPolicy249 = UnfoldPolicy248 policy_249_def 


definition
   policy_250 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_250 = policy_249 ++ allow_from_to_port (250::port) workstation internet"

lemmas UnfoldPolicy250 = UnfoldPolicy249 policy_250_def 




definition
   policy_250_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_250_Summary = policy_240_Summary ++ allow_from_to_ports {241..(250::port)} workstation internet"

lemmas UnfoldPolicyS250 = UnfoldPolicyS240 policy_250_Summary_def



definition
   policy_251 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_251 = policy_250 ++ allow_from_to_port (251::port) workstation internet"

lemmas UnfoldPolicy251 = UnfoldPolicy250 policy_251_def 


definition
   policy_252 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_252 = policy_251 ++ allow_from_to_port (252::port) workstation internet"

lemmas UnfoldPolicy252 = UnfoldPolicy251 policy_252_def 


definition
   policy_253 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_253 = policy_252 ++ allow_from_to_port (253::port) workstation internet"

lemmas UnfoldPolicy253 = UnfoldPolicy252 policy_253_def 


definition
   policy_254 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_254 = policy_253 ++ allow_from_to_port (254::port) workstation internet"

lemmas UnfoldPolicy254 = UnfoldPolicy253 policy_254_def 


definition
   policy_255 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_255 = policy_254 ++ allow_from_to_port (255::port) workstation internet"

lemmas UnfoldPolicy255 = UnfoldPolicy254 policy_255_def 


definition
   policy_256 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_256 = policy_255 ++ allow_from_to_port (256::port) workstation internet"

lemmas UnfoldPolicy256 = UnfoldPolicy255 policy_256_def 


definition
   policy_257 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_257 = policy_256 ++ allow_from_to_port (257::port) workstation internet"

lemmas UnfoldPolicy257 = UnfoldPolicy256 policy_257_def 


definition
   policy_258 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_258 = policy_257 ++ allow_from_to_port (258::port) workstation internet"

lemmas UnfoldPolicy258 = UnfoldPolicy257 policy_258_def 


definition
   policy_259 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_259 = policy_258 ++ allow_from_to_port (259::port) workstation internet"

lemmas UnfoldPolicy259 = UnfoldPolicy258 policy_259_def 


definition
   policy_260 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_260 = policy_259 ++ allow_from_to_port (260::port) workstation internet"

lemmas UnfoldPolicy260 = UnfoldPolicy259 policy_260_def 




definition
   policy_260_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_260_Summary = policy_250_Summary ++ allow_from_to_ports {251..(260::port)} workstation internet"

lemmas UnfoldPolicyS260 = UnfoldPolicyS250 policy_260_Summary_def



definition
   policy_261 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_261 = policy_260 ++ allow_from_to_port (261::port) workstation internet"

lemmas UnfoldPolicy261 = UnfoldPolicy260 policy_261_def 


definition
   policy_262 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_262 = policy_261 ++ allow_from_to_port (262::port) workstation internet"

lemmas UnfoldPolicy262 = UnfoldPolicy261 policy_262_def 


definition
   policy_263 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_263 = policy_262 ++ allow_from_to_port (263::port) workstation internet"

lemmas UnfoldPolicy263 = UnfoldPolicy262 policy_263_def 


definition
   policy_264 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_264 = policy_263 ++ allow_from_to_port (264::port) workstation internet"

lemmas UnfoldPolicy264 = UnfoldPolicy263 policy_264_def 


definition
   policy_265 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_265 = policy_264 ++ allow_from_to_port (265::port) workstation internet"

lemmas UnfoldPolicy265 = UnfoldPolicy264 policy_265_def 


definition
   policy_266 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_266 = policy_265 ++ allow_from_to_port (266::port) workstation internet"

lemmas UnfoldPolicy266 = UnfoldPolicy265 policy_266_def 


definition
   policy_267 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_267 = policy_266 ++ allow_from_to_port (267::port) workstation internet"

lemmas UnfoldPolicy267 = UnfoldPolicy266 policy_267_def 


definition
   policy_268 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_268 = policy_267 ++ allow_from_to_port (268::port) workstation internet"

lemmas UnfoldPolicy268 = UnfoldPolicy267 policy_268_def 


definition
   policy_269 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_269 = policy_268 ++ allow_from_to_port (269::port) workstation internet"

lemmas UnfoldPolicy269 = UnfoldPolicy268 policy_269_def 


definition
   policy_270 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_270 = policy_269 ++ allow_from_to_port (270::port) workstation internet"

lemmas UnfoldPolicy270 = UnfoldPolicy269 policy_270_def 




definition
   policy_270_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_270_Summary = policy_260_Summary ++ allow_from_to_ports {261..(270::port)} workstation internet"

lemmas UnfoldPolicyS270 = UnfoldPolicyS260 policy_270_Summary_def



definition
   policy_271 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_271 = policy_270 ++ allow_from_to_port (271::port) workstation internet"

lemmas UnfoldPolicy271 = UnfoldPolicy270 policy_271_def 


definition
   policy_272 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_272 = policy_271 ++ allow_from_to_port (272::port) workstation internet"

lemmas UnfoldPolicy272 = UnfoldPolicy271 policy_272_def 


definition
   policy_273 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_273 = policy_272 ++ allow_from_to_port (273::port) workstation internet"

lemmas UnfoldPolicy273 = UnfoldPolicy272 policy_273_def 


definition
   policy_274 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_274 = policy_273 ++ allow_from_to_port (274::port) workstation internet"

lemmas UnfoldPolicy274 = UnfoldPolicy273 policy_274_def 


definition
   policy_275 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_275 = policy_274 ++ allow_from_to_port (275::port) workstation internet"

lemmas UnfoldPolicy275 = UnfoldPolicy274 policy_275_def 


definition
   policy_276 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_276 = policy_275 ++ allow_from_to_port (276::port) workstation internet"

lemmas UnfoldPolicy276 = UnfoldPolicy275 policy_276_def 


definition
   policy_277 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_277 = policy_276 ++ allow_from_to_port (277::port) workstation internet"

lemmas UnfoldPolicy277 = UnfoldPolicy276 policy_277_def 


definition
   policy_278 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_278 = policy_277 ++ allow_from_to_port (278::port) workstation internet"

lemmas UnfoldPolicy278 = UnfoldPolicy277 policy_278_def 


definition
   policy_279 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_279 = policy_278 ++ allow_from_to_port (279::port) workstation internet"

lemmas UnfoldPolicy279 = UnfoldPolicy278 policy_279_def 


definition
   policy_280 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_280 = policy_279 ++ allow_from_to_port (280::port) workstation internet"

lemmas UnfoldPolicy280 = UnfoldPolicy279 policy_280_def 




definition
   policy_280_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_280_Summary = policy_270_Summary ++ allow_from_to_ports {271..(280::port)} workstation internet"

lemmas UnfoldPolicyS280 = UnfoldPolicyS270 policy_280_Summary_def



definition
   policy_281 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_281 = policy_280 ++ allow_from_to_port (281::port) workstation internet"

lemmas UnfoldPolicy281 = UnfoldPolicy280 policy_281_def 


definition
   policy_282 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_282 = policy_281 ++ allow_from_to_port (282::port) workstation internet"

lemmas UnfoldPolicy282 = UnfoldPolicy281 policy_282_def 


definition
   policy_283 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_283 = policy_282 ++ allow_from_to_port (283::port) workstation internet"

lemmas UnfoldPolicy283 = UnfoldPolicy282 policy_283_def 


definition
   policy_284 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_284 = policy_283 ++ allow_from_to_port (284::port) workstation internet"

lemmas UnfoldPolicy284 = UnfoldPolicy283 policy_284_def 


definition
   policy_285 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_285 = policy_284 ++ allow_from_to_port (285::port) workstation internet"

lemmas UnfoldPolicy285 = UnfoldPolicy284 policy_285_def 


definition
   policy_286 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_286 = policy_285 ++ allow_from_to_port (286::port) workstation internet"

lemmas UnfoldPolicy286 = UnfoldPolicy285 policy_286_def 


definition
   policy_287 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_287 = policy_286 ++ allow_from_to_port (287::port) workstation internet"

lemmas UnfoldPolicy287 = UnfoldPolicy286 policy_287_def 


definition
   policy_288 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_288 = policy_287 ++ allow_from_to_port (288::port) workstation internet"

lemmas UnfoldPolicy288 = UnfoldPolicy287 policy_288_def 


definition
   policy_289 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_289 = policy_288 ++ allow_from_to_port (289::port) workstation internet"

lemmas UnfoldPolicy289 = UnfoldPolicy288 policy_289_def 


definition
   policy_290 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_290 = policy_289 ++ allow_from_to_port (290::port) workstation internet"

lemmas UnfoldPolicy290 = UnfoldPolicy289 policy_290_def 




definition
   policy_290_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_290_Summary = policy_280_Summary ++ allow_from_to_ports {281..(290::port)} workstation internet"

lemmas UnfoldPolicyS290 = UnfoldPolicyS280 policy_290_Summary_def



definition
   policy_291 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_291 = policy_290 ++ allow_from_to_port (291::port) workstation internet"

lemmas UnfoldPolicy291 = UnfoldPolicy290 policy_291_def 


definition
   policy_292 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_292 = policy_291 ++ allow_from_to_port (292::port) workstation internet"

lemmas UnfoldPolicy292 = UnfoldPolicy291 policy_292_def 


definition
   policy_293 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_293 = policy_292 ++ allow_from_to_port (293::port) workstation internet"

lemmas UnfoldPolicy293 = UnfoldPolicy292 policy_293_def 


definition
   policy_294 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_294 = policy_293 ++ allow_from_to_port (294::port) workstation internet"

lemmas UnfoldPolicy294 = UnfoldPolicy293 policy_294_def 


definition
   policy_295 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_295 = policy_294 ++ allow_from_to_port (295::port) workstation internet"

lemmas UnfoldPolicy295 = UnfoldPolicy294 policy_295_def 


definition
   policy_296 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_296 = policy_295 ++ allow_from_to_port (296::port) workstation internet"

lemmas UnfoldPolicy296 = UnfoldPolicy295 policy_296_def 


definition
   policy_297 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_297 = policy_296 ++ allow_from_to_port (297::port) workstation internet"

lemmas UnfoldPolicy297 = UnfoldPolicy296 policy_297_def 


definition
   policy_298 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_298 = policy_297 ++ allow_from_to_port (298::port) workstation internet"

lemmas UnfoldPolicy298 = UnfoldPolicy297 policy_298_def 


definition
   policy_299 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_299 = policy_298 ++ allow_from_to_port (299::port) workstation internet"

lemmas UnfoldPolicy299 = UnfoldPolicy298 policy_299_def 


definition
   policy_300 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_300 = policy_299 ++ allow_from_to_port (300::port) workstation internet"

lemmas UnfoldPolicy300 = UnfoldPolicy299 policy_300_def 




definition
   policy_300_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_300_Summary = policy_290_Summary ++ allow_from_to_ports {291..(300::port)} workstation internet"

lemmas UnfoldPolicyS300 = UnfoldPolicyS290 policy_300_Summary_def



definition
   policy_301 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_301 = policy_300 ++ allow_from_to_port (301::port) workstation internet"

lemmas UnfoldPolicy301 = UnfoldPolicy300 policy_301_def 


definition
   policy_302 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_302 = policy_301 ++ allow_from_to_port (302::port) workstation internet"

lemmas UnfoldPolicy302 = UnfoldPolicy301 policy_302_def 


definition
   policy_303 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_303 = policy_302 ++ allow_from_to_port (303::port) workstation internet"

lemmas UnfoldPolicy303 = UnfoldPolicy302 policy_303_def 


definition
   policy_304 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_304 = policy_303 ++ allow_from_to_port (304::port) workstation internet"

lemmas UnfoldPolicy304 = UnfoldPolicy303 policy_304_def 


definition
   policy_305 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_305 = policy_304 ++ allow_from_to_port (305::port) workstation internet"

lemmas UnfoldPolicy305 = UnfoldPolicy304 policy_305_def 


definition
   policy_306 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_306 = policy_305 ++ allow_from_to_port (306::port) workstation internet"

lemmas UnfoldPolicy306 = UnfoldPolicy305 policy_306_def 


definition
   policy_307 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_307 = policy_306 ++ allow_from_to_port (307::port) workstation internet"

lemmas UnfoldPolicy307 = UnfoldPolicy306 policy_307_def 


definition
   policy_308 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_308 = policy_307 ++ allow_from_to_port (308::port) workstation internet"

lemmas UnfoldPolicy308 = UnfoldPolicy307 policy_308_def 


definition
   policy_309 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_309 = policy_308 ++ allow_from_to_port (309::port) workstation internet"

lemmas UnfoldPolicy309 = UnfoldPolicy308 policy_309_def 


definition
   policy_310 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_310 = policy_309 ++ allow_from_to_port (310::port) workstation internet"

lemmas UnfoldPolicy310 = UnfoldPolicy309 policy_310_def 




definition
   policy_310_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_310_Summary = policy_300_Summary ++ allow_from_to_ports {301..(310::port)} workstation internet"

lemmas UnfoldPolicyS310 = UnfoldPolicyS300 policy_310_Summary_def



definition
   policy_311 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_311 = policy_310 ++ allow_from_to_port (311::port) workstation internet"

lemmas UnfoldPolicy311 = UnfoldPolicy310 policy_311_def 


definition
   policy_312 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_312 = policy_311 ++ allow_from_to_port (312::port) workstation internet"

lemmas UnfoldPolicy312 = UnfoldPolicy311 policy_312_def 


definition
   policy_313 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_313 = policy_312 ++ allow_from_to_port (313::port) workstation internet"

lemmas UnfoldPolicy313 = UnfoldPolicy312 policy_313_def 


definition
   policy_314 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_314 = policy_313 ++ allow_from_to_port (314::port) workstation internet"

lemmas UnfoldPolicy314 = UnfoldPolicy313 policy_314_def 


definition
   policy_315 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_315 = policy_314 ++ allow_from_to_port (315::port) workstation internet"

lemmas UnfoldPolicy315 = UnfoldPolicy314 policy_315_def 


definition
   policy_316 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_316 = policy_315 ++ allow_from_to_port (316::port) workstation internet"

lemmas UnfoldPolicy316 = UnfoldPolicy315 policy_316_def 


definition
   policy_317 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_317 = policy_316 ++ allow_from_to_port (317::port) workstation internet"

lemmas UnfoldPolicy317 = UnfoldPolicy316 policy_317_def 


definition
   policy_318 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_318 = policy_317 ++ allow_from_to_port (318::port) workstation internet"

lemmas UnfoldPolicy318 = UnfoldPolicy317 policy_318_def 


definition
   policy_319 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_319 = policy_318 ++ allow_from_to_port (319::port) workstation internet"

lemmas UnfoldPolicy319 = UnfoldPolicy318 policy_319_def 


definition
   policy_320 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_320 = policy_319 ++ allow_from_to_port (320::port) workstation internet"

lemmas UnfoldPolicy320 = UnfoldPolicy319 policy_320_def 




definition
   policy_320_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_320_Summary = policy_310_Summary ++ allow_from_to_ports {311..(320::port)} workstation internet"

lemmas UnfoldPolicyS320 = UnfoldPolicyS310 policy_320_Summary_def



definition
   policy_321 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_321 = policy_320 ++ allow_from_to_port (321::port) workstation internet"

lemmas UnfoldPolicy321 = UnfoldPolicy320 policy_321_def 


definition
   policy_322 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_322 = policy_321 ++ allow_from_to_port (322::port) workstation internet"

lemmas UnfoldPolicy322 = UnfoldPolicy321 policy_322_def 


definition
   policy_323 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_323 = policy_322 ++ allow_from_to_port (323::port) workstation internet"

lemmas UnfoldPolicy323 = UnfoldPolicy322 policy_323_def 


definition
   policy_324 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_324 = policy_323 ++ allow_from_to_port (324::port) workstation internet"

lemmas UnfoldPolicy324 = UnfoldPolicy323 policy_324_def 


definition
   policy_325 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_325 = policy_324 ++ allow_from_to_port (325::port) workstation internet"

lemmas UnfoldPolicy325 = UnfoldPolicy324 policy_325_def 


definition
   policy_326 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_326 = policy_325 ++ allow_from_to_port (326::port) workstation internet"

lemmas UnfoldPolicy326 = UnfoldPolicy325 policy_326_def 


definition
   policy_327 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_327 = policy_326 ++ allow_from_to_port (327::port) workstation internet"

lemmas UnfoldPolicy327 = UnfoldPolicy326 policy_327_def 


definition
   policy_328 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_328 = policy_327 ++ allow_from_to_port (328::port) workstation internet"

lemmas UnfoldPolicy328 = UnfoldPolicy327 policy_328_def 


definition
   policy_329 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_329 = policy_328 ++ allow_from_to_port (329::port) workstation internet"

lemmas UnfoldPolicy329 = UnfoldPolicy328 policy_329_def 


definition
   policy_330 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_330 = policy_329 ++ allow_from_to_port (330::port) workstation internet"

lemmas UnfoldPolicy330 = UnfoldPolicy329 policy_330_def 




definition
   policy_330_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_330_Summary = policy_320_Summary ++ allow_from_to_ports {321..(330::port)} workstation internet"

lemmas UnfoldPolicyS330 = UnfoldPolicyS320 policy_330_Summary_def



definition
   policy_331 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_331 = policy_330 ++ allow_from_to_port (331::port) workstation internet"

lemmas UnfoldPolicy331 = UnfoldPolicy330 policy_331_def 


definition
   policy_332 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_332 = policy_331 ++ allow_from_to_port (332::port) workstation internet"

lemmas UnfoldPolicy332 = UnfoldPolicy331 policy_332_def 


definition
   policy_333 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_333 = policy_332 ++ allow_from_to_port (333::port) workstation internet"

lemmas UnfoldPolicy333 = UnfoldPolicy332 policy_333_def 


definition
   policy_334 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_334 = policy_333 ++ allow_from_to_port (334::port) workstation internet"

lemmas UnfoldPolicy334 = UnfoldPolicy333 policy_334_def 


definition
   policy_335 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_335 = policy_334 ++ allow_from_to_port (335::port) workstation internet"

lemmas UnfoldPolicy335 = UnfoldPolicy334 policy_335_def 


definition
   policy_336 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_336 = policy_335 ++ allow_from_to_port (336::port) workstation internet"

lemmas UnfoldPolicy336 = UnfoldPolicy335 policy_336_def 


definition
   policy_337 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_337 = policy_336 ++ allow_from_to_port (337::port) workstation internet"

lemmas UnfoldPolicy337 = UnfoldPolicy336 policy_337_def 


definition
   policy_338 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_338 = policy_337 ++ allow_from_to_port (338::port) workstation internet"

lemmas UnfoldPolicy338 = UnfoldPolicy337 policy_338_def 


definition
   policy_339 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_339 = policy_338 ++ allow_from_to_port (339::port) workstation internet"

lemmas UnfoldPolicy339 = UnfoldPolicy338 policy_339_def 


definition
   policy_340 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_340 = policy_339 ++ allow_from_to_port (340::port) workstation internet"

lemmas UnfoldPolicy340 = UnfoldPolicy339 policy_340_def 




definition
   policy_340_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_340_Summary = policy_330_Summary ++ allow_from_to_ports {331..(340::port)} workstation internet"

lemmas UnfoldPolicyS340 = UnfoldPolicyS330 policy_340_Summary_def



definition
   policy_341 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_341 = policy_340 ++ allow_from_to_port (341::port) workstation internet"

lemmas UnfoldPolicy341 = UnfoldPolicy340 policy_341_def 


definition
   policy_342 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_342 = policy_341 ++ allow_from_to_port (342::port) workstation internet"

lemmas UnfoldPolicy342 = UnfoldPolicy341 policy_342_def 


definition
   policy_343 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_343 = policy_342 ++ allow_from_to_port (343::port) workstation internet"

lemmas UnfoldPolicy343 = UnfoldPolicy342 policy_343_def 


definition
   policy_344 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_344 = policy_343 ++ allow_from_to_port (344::port) workstation internet"

lemmas UnfoldPolicy344 = UnfoldPolicy343 policy_344_def 


definition
   policy_345 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_345 = policy_344 ++ allow_from_to_port (345::port) workstation internet"

lemmas UnfoldPolicy345 = UnfoldPolicy344 policy_345_def 


definition
   policy_346 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_346 = policy_345 ++ allow_from_to_port (346::port) workstation internet"

lemmas UnfoldPolicy346 = UnfoldPolicy345 policy_346_def 


definition
   policy_347 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_347 = policy_346 ++ allow_from_to_port (347::port) workstation internet"

lemmas UnfoldPolicy347 = UnfoldPolicy346 policy_347_def 


definition
   policy_348 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_348 = policy_347 ++ allow_from_to_port (348::port) workstation internet"

lemmas UnfoldPolicy348 = UnfoldPolicy347 policy_348_def 


definition
   policy_349 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_349 = policy_348 ++ allow_from_to_port (349::port) workstation internet"

lemmas UnfoldPolicy349 = UnfoldPolicy348 policy_349_def 


definition
   policy_350 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_350 = policy_349 ++ allow_from_to_port (350::port) workstation internet"

lemmas UnfoldPolicy350 = UnfoldPolicy349 policy_350_def 




definition
   policy_350_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_350_Summary = policy_340_Summary ++ allow_from_to_ports {341..(350::port)} workstation internet"

lemmas UnfoldPolicyS350 = UnfoldPolicyS340 policy_350_Summary_def



definition
   policy_351 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_351 = policy_350 ++ allow_from_to_port (351::port) workstation internet"

lemmas UnfoldPolicy351 = UnfoldPolicy350 policy_351_def 


definition
   policy_352 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_352 = policy_351 ++ allow_from_to_port (352::port) workstation internet"

lemmas UnfoldPolicy352 = UnfoldPolicy351 policy_352_def 


definition
   policy_353 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_353 = policy_352 ++ allow_from_to_port (353::port) workstation internet"

lemmas UnfoldPolicy353 = UnfoldPolicy352 policy_353_def 


definition
   policy_354 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_354 = policy_353 ++ allow_from_to_port (354::port) workstation internet"

lemmas UnfoldPolicy354 = UnfoldPolicy353 policy_354_def 


definition
   policy_355 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_355 = policy_354 ++ allow_from_to_port (355::port) workstation internet"

lemmas UnfoldPolicy355 = UnfoldPolicy354 policy_355_def 


definition
   policy_356 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_356 = policy_355 ++ allow_from_to_port (356::port) workstation internet"

lemmas UnfoldPolicy356 = UnfoldPolicy355 policy_356_def 


definition
   policy_357 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_357 = policy_356 ++ allow_from_to_port (357::port) workstation internet"

lemmas UnfoldPolicy357 = UnfoldPolicy356 policy_357_def 


definition
   policy_358 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_358 = policy_357 ++ allow_from_to_port (358::port) workstation internet"

lemmas UnfoldPolicy358 = UnfoldPolicy357 policy_358_def 


definition
   policy_359 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_359 = policy_358 ++ allow_from_to_port (359::port) workstation internet"

lemmas UnfoldPolicy359 = UnfoldPolicy358 policy_359_def 


definition
   policy_360 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_360 = policy_359 ++ allow_from_to_port (360::port) workstation internet"

lemmas UnfoldPolicy360 = UnfoldPolicy359 policy_360_def 




definition
   policy_360_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_360_Summary = policy_350_Summary ++ allow_from_to_ports {351..(360::port)} workstation internet"

lemmas UnfoldPolicyS360 = UnfoldPolicyS350 policy_360_Summary_def



definition
   policy_361 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_361 = policy_360 ++ allow_from_to_port (361::port) workstation internet"

lemmas UnfoldPolicy361 = UnfoldPolicy360 policy_361_def 


definition
   policy_362 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_362 = policy_361 ++ allow_from_to_port (362::port) workstation internet"

lemmas UnfoldPolicy362 = UnfoldPolicy361 policy_362_def 


definition
   policy_363 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_363 = policy_362 ++ allow_from_to_port (363::port) workstation internet"

lemmas UnfoldPolicy363 = UnfoldPolicy362 policy_363_def 


definition
   policy_364 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_364 = policy_363 ++ allow_from_to_port (364::port) workstation internet"

lemmas UnfoldPolicy364 = UnfoldPolicy363 policy_364_def 


definition
   policy_365 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_365 = policy_364 ++ allow_from_to_port (365::port) workstation internet"

lemmas UnfoldPolicy365 = UnfoldPolicy364 policy_365_def 


definition
   policy_366 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_366 = policy_365 ++ allow_from_to_port (366::port) workstation internet"

lemmas UnfoldPolicy366 = UnfoldPolicy365 policy_366_def 


definition
   policy_367 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_367 = policy_366 ++ allow_from_to_port (367::port) workstation internet"

lemmas UnfoldPolicy367 = UnfoldPolicy366 policy_367_def 


definition
   policy_368 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_368 = policy_367 ++ allow_from_to_port (368::port) workstation internet"

lemmas UnfoldPolicy368 = UnfoldPolicy367 policy_368_def 


definition
   policy_369 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_369 = policy_368 ++ allow_from_to_port (369::port) workstation internet"

lemmas UnfoldPolicy369 = UnfoldPolicy368 policy_369_def 


definition
   policy_370 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_370 = policy_369 ++ allow_from_to_port (370::port) workstation internet"

lemmas UnfoldPolicy370 = UnfoldPolicy369 policy_370_def 




definition
   policy_370_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_370_Summary = policy_360_Summary ++ allow_from_to_ports {361..(370::port)} workstation internet"

lemmas UnfoldPolicyS370 = UnfoldPolicyS360 policy_370_Summary_def



definition
   policy_371 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_371 = policy_370 ++ allow_from_to_port (371::port) workstation internet"

lemmas UnfoldPolicy371 = UnfoldPolicy370 policy_371_def 


definition
   policy_372 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_372 = policy_371 ++ allow_from_to_port (372::port) workstation internet"

lemmas UnfoldPolicy372 = UnfoldPolicy371 policy_372_def 


definition
   policy_373 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_373 = policy_372 ++ allow_from_to_port (373::port) workstation internet"

lemmas UnfoldPolicy373 = UnfoldPolicy372 policy_373_def 


definition
   policy_374 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_374 = policy_373 ++ allow_from_to_port (374::port) workstation internet"

lemmas UnfoldPolicy374 = UnfoldPolicy373 policy_374_def 


definition
   policy_375 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_375 = policy_374 ++ allow_from_to_port (375::port) workstation internet"

lemmas UnfoldPolicy375 = UnfoldPolicy374 policy_375_def 


definition
   policy_376 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_376 = policy_375 ++ allow_from_to_port (376::port) workstation internet"

lemmas UnfoldPolicy376 = UnfoldPolicy375 policy_376_def 


definition
   policy_377 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_377 = policy_376 ++ allow_from_to_port (377::port) workstation internet"

lemmas UnfoldPolicy377 = UnfoldPolicy376 policy_377_def 


definition
   policy_378 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_378 = policy_377 ++ allow_from_to_port (378::port) workstation internet"

lemmas UnfoldPolicy378 = UnfoldPolicy377 policy_378_def 


definition
   policy_379 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_379 = policy_378 ++ allow_from_to_port (379::port) workstation internet"

lemmas UnfoldPolicy379 = UnfoldPolicy378 policy_379_def 


definition
   policy_380 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_380 = policy_379 ++ allow_from_to_port (380::port) workstation internet"

lemmas UnfoldPolicy380 = UnfoldPolicy379 policy_380_def 




definition
   policy_380_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_380_Summary = policy_370_Summary ++ allow_from_to_ports {371..(380::port)} workstation internet"

lemmas UnfoldPolicyS380 = UnfoldPolicyS370 policy_380_Summary_def



definition
   policy_381 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_381 = policy_380 ++ allow_from_to_port (381::port) workstation internet"

lemmas UnfoldPolicy381 = UnfoldPolicy380 policy_381_def 


definition
   policy_382 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_382 = policy_381 ++ allow_from_to_port (382::port) workstation internet"

lemmas UnfoldPolicy382 = UnfoldPolicy381 policy_382_def 


definition
   policy_383 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_383 = policy_382 ++ allow_from_to_port (383::port) workstation internet"

lemmas UnfoldPolicy383 = UnfoldPolicy382 policy_383_def 


definition
   policy_384 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_384 = policy_383 ++ allow_from_to_port (384::port) workstation internet"

lemmas UnfoldPolicy384 = UnfoldPolicy383 policy_384_def 


definition
   policy_385 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_385 = policy_384 ++ allow_from_to_port (385::port) workstation internet"

lemmas UnfoldPolicy385 = UnfoldPolicy384 policy_385_def 


definition
   policy_386 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_386 = policy_385 ++ allow_from_to_port (386::port) workstation internet"

lemmas UnfoldPolicy386 = UnfoldPolicy385 policy_386_def 


definition
   policy_387 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_387 = policy_386 ++ allow_from_to_port (387::port) workstation internet"

lemmas UnfoldPolicy387 = UnfoldPolicy386 policy_387_def 


definition
   policy_388 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_388 = policy_387 ++ allow_from_to_port (388::port) workstation internet"

lemmas UnfoldPolicy388 = UnfoldPolicy387 policy_388_def 


definition
   policy_389 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_389 = policy_388 ++ allow_from_to_port (389::port) workstation internet"

lemmas UnfoldPolicy389 = UnfoldPolicy388 policy_389_def 


definition
   policy_390 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_390 = policy_389 ++ allow_from_to_port (390::port) workstation internet"

lemmas UnfoldPolicy390 = UnfoldPolicy389 policy_390_def 




definition
   policy_390_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_390_Summary = policy_380_Summary ++ allow_from_to_ports {381..(390::port)} workstation internet"

lemmas UnfoldPolicyS390 = UnfoldPolicyS380 policy_390_Summary_def



definition
   policy_391 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_391 = policy_390 ++ allow_from_to_port (391::port) workstation internet"

lemmas UnfoldPolicy391 = UnfoldPolicy390 policy_391_def 


definition
   policy_392 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_392 = policy_391 ++ allow_from_to_port (392::port) workstation internet"

lemmas UnfoldPolicy392 = UnfoldPolicy391 policy_392_def 


definition
   policy_393 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_393 = policy_392 ++ allow_from_to_port (393::port) workstation internet"

lemmas UnfoldPolicy393 = UnfoldPolicy392 policy_393_def 


definition
   policy_394 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_394 = policy_393 ++ allow_from_to_port (394::port) workstation internet"

lemmas UnfoldPolicy394 = UnfoldPolicy393 policy_394_def 


definition
   policy_395 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_395 = policy_394 ++ allow_from_to_port (395::port) workstation internet"

lemmas UnfoldPolicy395 = UnfoldPolicy394 policy_395_def 


definition
   policy_396 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_396 = policy_395 ++ allow_from_to_port (396::port) workstation internet"

lemmas UnfoldPolicy396 = UnfoldPolicy395 policy_396_def 


definition
   policy_397 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_397 = policy_396 ++ allow_from_to_port (397::port) workstation internet"

lemmas UnfoldPolicy397 = UnfoldPolicy396 policy_397_def 


definition
   policy_398 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_398 = policy_397 ++ allow_from_to_port (398::port) workstation internet"

lemmas UnfoldPolicy398 = UnfoldPolicy397 policy_398_def 


definition
   policy_399 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_399 = policy_398 ++ allow_from_to_port (399::port) workstation internet"

lemmas UnfoldPolicy399 = UnfoldPolicy398 policy_399_def 


definition
   policy_400 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_400 = policy_399 ++ allow_from_to_port (400::port) workstation internet"

lemmas UnfoldPolicy400 = UnfoldPolicy399 policy_400_def 




definition
   policy_400_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_400_Summary = policy_390_Summary ++ allow_from_to_ports {391..(400::port)} workstation internet"

lemmas UnfoldPolicyS400 = UnfoldPolicyS390 policy_400_Summary_def



definition
   policy_401 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_401 = policy_400 ++ allow_from_to_port (401::port) workstation internet"

lemmas UnfoldPolicy401 = UnfoldPolicy400 policy_401_def 


definition
   policy_402 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_402 = policy_401 ++ allow_from_to_port (402::port) workstation internet"

lemmas UnfoldPolicy402 = UnfoldPolicy401 policy_402_def 


definition
   policy_403 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_403 = policy_402 ++ allow_from_to_port (403::port) workstation internet"

lemmas UnfoldPolicy403 = UnfoldPolicy402 policy_403_def 


definition
   policy_404 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_404 = policy_403 ++ allow_from_to_port (404::port) workstation internet"

lemmas UnfoldPolicy404 = UnfoldPolicy403 policy_404_def 


definition
   policy_405 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_405 = policy_404 ++ allow_from_to_port (405::port) workstation internet"

lemmas UnfoldPolicy405 = UnfoldPolicy404 policy_405_def 


definition
   policy_406 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_406 = policy_405 ++ allow_from_to_port (406::port) workstation internet"

lemmas UnfoldPolicy406 = UnfoldPolicy405 policy_406_def 


definition
   policy_407 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_407 = policy_406 ++ allow_from_to_port (407::port) workstation internet"

lemmas UnfoldPolicy407 = UnfoldPolicy406 policy_407_def 


definition
   policy_408 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_408 = policy_407 ++ allow_from_to_port (408::port) workstation internet"

lemmas UnfoldPolicy408 = UnfoldPolicy407 policy_408_def 


definition
   policy_409 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_409 = policy_408 ++ allow_from_to_port (409::port) workstation internet"

lemmas UnfoldPolicy409 = UnfoldPolicy408 policy_409_def 


definition
   policy_410 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_410 = policy_409 ++ allow_from_to_port (410::port) workstation internet"

lemmas UnfoldPolicy410 = UnfoldPolicy409 policy_410_def 




definition
   policy_410_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_410_Summary = policy_400_Summary ++ allow_from_to_ports {401..(410::port)} workstation internet"

lemmas UnfoldPolicyS410 = UnfoldPolicyS400 policy_410_Summary_def



definition
   policy_411 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_411 = policy_410 ++ allow_from_to_port (411::port) workstation internet"

lemmas UnfoldPolicy411 = UnfoldPolicy410 policy_411_def 


definition
   policy_412 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_412 = policy_411 ++ allow_from_to_port (412::port) workstation internet"

lemmas UnfoldPolicy412 = UnfoldPolicy411 policy_412_def 


definition
   policy_413 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_413 = policy_412 ++ allow_from_to_port (413::port) workstation internet"

lemmas UnfoldPolicy413 = UnfoldPolicy412 policy_413_def 


definition
   policy_414 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_414 = policy_413 ++ allow_from_to_port (414::port) workstation internet"

lemmas UnfoldPolicy414 = UnfoldPolicy413 policy_414_def 


definition
   policy_415 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_415 = policy_414 ++ allow_from_to_port (415::port) workstation internet"

lemmas UnfoldPolicy415 = UnfoldPolicy414 policy_415_def 


definition
   policy_416 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_416 = policy_415 ++ allow_from_to_port (416::port) workstation internet"

lemmas UnfoldPolicy416 = UnfoldPolicy415 policy_416_def 


definition
   policy_417 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_417 = policy_416 ++ allow_from_to_port (417::port) workstation internet"

lemmas UnfoldPolicy417 = UnfoldPolicy416 policy_417_def 


definition
   policy_418 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_418 = policy_417 ++ allow_from_to_port (418::port) workstation internet"

lemmas UnfoldPolicy418 = UnfoldPolicy417 policy_418_def 


definition
   policy_419 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_419 = policy_418 ++ allow_from_to_port (419::port) workstation internet"

lemmas UnfoldPolicy419 = UnfoldPolicy418 policy_419_def 


definition
   policy_420 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_420 = policy_419 ++ allow_from_to_port (420::port) workstation internet"

lemmas UnfoldPolicy420 = UnfoldPolicy419 policy_420_def 




definition
   policy_420_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_420_Summary = policy_410_Summary ++ allow_from_to_ports {411..(420::port)} workstation internet"

lemmas UnfoldPolicyS420 = UnfoldPolicyS410 policy_420_Summary_def



definition
   policy_421 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_421 = policy_420 ++ allow_from_to_port (421::port) workstation internet"

lemmas UnfoldPolicy421 = UnfoldPolicy420 policy_421_def 


definition
   policy_422 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_422 = policy_421 ++ allow_from_to_port (422::port) workstation internet"

lemmas UnfoldPolicy422 = UnfoldPolicy421 policy_422_def 


definition
   policy_423 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_423 = policy_422 ++ allow_from_to_port (423::port) workstation internet"

lemmas UnfoldPolicy423 = UnfoldPolicy422 policy_423_def 


definition
   policy_424 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_424 = policy_423 ++ allow_from_to_port (424::port) workstation internet"

lemmas UnfoldPolicy424 = UnfoldPolicy423 policy_424_def 


definition
   policy_425 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_425 = policy_424 ++ allow_from_to_port (425::port) workstation internet"

lemmas UnfoldPolicy425 = UnfoldPolicy424 policy_425_def 


definition
   policy_426 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_426 = policy_425 ++ allow_from_to_port (426::port) workstation internet"

lemmas UnfoldPolicy426 = UnfoldPolicy425 policy_426_def 


definition
   policy_427 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_427 = policy_426 ++ allow_from_to_port (427::port) workstation internet"

lemmas UnfoldPolicy427 = UnfoldPolicy426 policy_427_def 


definition
   policy_428 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_428 = policy_427 ++ allow_from_to_port (428::port) workstation internet"

lemmas UnfoldPolicy428 = UnfoldPolicy427 policy_428_def 


definition
   policy_429 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_429 = policy_428 ++ allow_from_to_port (429::port) workstation internet"

lemmas UnfoldPolicy429 = UnfoldPolicy428 policy_429_def 


definition
   policy_430 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_430 = policy_429 ++ allow_from_to_port (430::port) workstation internet"

lemmas UnfoldPolicy430 = UnfoldPolicy429 policy_430_def 




definition
   policy_430_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_430_Summary = policy_420_Summary ++ allow_from_to_ports {421..(430::port)} workstation internet"

lemmas UnfoldPolicyS430 = UnfoldPolicyS420 policy_430_Summary_def



definition
   policy_431 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_431 = policy_430 ++ allow_from_to_port (431::port) workstation internet"

lemmas UnfoldPolicy431 = UnfoldPolicy430 policy_431_def 


definition
   policy_432 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_432 = policy_431 ++ allow_from_to_port (432::port) workstation internet"

lemmas UnfoldPolicy432 = UnfoldPolicy431 policy_432_def 


definition
   policy_433 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_433 = policy_432 ++ allow_from_to_port (433::port) workstation internet"

lemmas UnfoldPolicy433 = UnfoldPolicy432 policy_433_def 


definition
   policy_434 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_434 = policy_433 ++ allow_from_to_port (434::port) workstation internet"

lemmas UnfoldPolicy434 = UnfoldPolicy433 policy_434_def 


definition
   policy_435 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_435 = policy_434 ++ allow_from_to_port (435::port) workstation internet"

lemmas UnfoldPolicy435 = UnfoldPolicy434 policy_435_def 


definition
   policy_436 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_436 = policy_435 ++ allow_from_to_port (436::port) workstation internet"

lemmas UnfoldPolicy436 = UnfoldPolicy435 policy_436_def 


definition
   policy_437 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_437 = policy_436 ++ allow_from_to_port (437::port) workstation internet"

lemmas UnfoldPolicy437 = UnfoldPolicy436 policy_437_def 


definition
   policy_438 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_438 = policy_437 ++ allow_from_to_port (438::port) workstation internet"

lemmas UnfoldPolicy438 = UnfoldPolicy437 policy_438_def 


definition
   policy_439 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_439 = policy_438 ++ allow_from_to_port (439::port) workstation internet"

lemmas UnfoldPolicy439 = UnfoldPolicy438 policy_439_def 


definition
   policy_440 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_440 = policy_439 ++ allow_from_to_port (440::port) workstation internet"

lemmas UnfoldPolicy440 = UnfoldPolicy439 policy_440_def 




definition
   policy_440_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_440_Summary = policy_430_Summary ++ allow_from_to_ports {431..(440::port)} workstation internet"

lemmas UnfoldPolicyS440 = UnfoldPolicyS430 policy_440_Summary_def



definition
   policy_441 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_441 = policy_440 ++ allow_from_to_port (441::port) workstation internet"

lemmas UnfoldPolicy441 = UnfoldPolicy440 policy_441_def 


definition
   policy_442 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_442 = policy_441 ++ allow_from_to_port (442::port) workstation internet"

lemmas UnfoldPolicy442 = UnfoldPolicy441 policy_442_def 


definition
   policy_443 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_443 = policy_442 ++ allow_from_to_port (443::port) workstation internet"

lemmas UnfoldPolicy443 = UnfoldPolicy442 policy_443_def 


definition
   policy_444 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_444 = policy_443 ++ allow_from_to_port (444::port) workstation internet"

lemmas UnfoldPolicy444 = UnfoldPolicy443 policy_444_def 


definition
   policy_445 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_445 = policy_444 ++ allow_from_to_port (445::port) workstation internet"

lemmas UnfoldPolicy445 = UnfoldPolicy444 policy_445_def 


definition
   policy_446 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_446 = policy_445 ++ allow_from_to_port (446::port) workstation internet"

lemmas UnfoldPolicy446 = UnfoldPolicy445 policy_446_def 


definition
   policy_447 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_447 = policy_446 ++ allow_from_to_port (447::port) workstation internet"

lemmas UnfoldPolicy447 = UnfoldPolicy446 policy_447_def 


definition
   policy_448 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_448 = policy_447 ++ allow_from_to_port (448::port) workstation internet"

lemmas UnfoldPolicy448 = UnfoldPolicy447 policy_448_def 


definition
   policy_449 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_449 = policy_448 ++ allow_from_to_port (449::port) workstation internet"

lemmas UnfoldPolicy449 = UnfoldPolicy448 policy_449_def 


definition
   policy_450 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_450 = policy_449 ++ allow_from_to_port (450::port) workstation internet"

lemmas UnfoldPolicy450 = UnfoldPolicy449 policy_450_def 




definition
   policy_450_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_450_Summary = policy_440_Summary ++ allow_from_to_ports {441..(450::port)} workstation internet"

lemmas UnfoldPolicyS450 = UnfoldPolicyS440 policy_450_Summary_def



definition
   policy_451 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_451 = policy_450 ++ allow_from_to_port (451::port) workstation internet"

lemmas UnfoldPolicy451 = UnfoldPolicy450 policy_451_def 


definition
   policy_452 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_452 = policy_451 ++ allow_from_to_port (452::port) workstation internet"

lemmas UnfoldPolicy452 = UnfoldPolicy451 policy_452_def 


definition
   policy_453 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_453 = policy_452 ++ allow_from_to_port (453::port) workstation internet"

lemmas UnfoldPolicy453 = UnfoldPolicy452 policy_453_def 


definition
   policy_454 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_454 = policy_453 ++ allow_from_to_port (454::port) workstation internet"

lemmas UnfoldPolicy454 = UnfoldPolicy453 policy_454_def 


definition
   policy_455 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_455 = policy_454 ++ allow_from_to_port (455::port) workstation internet"

lemmas UnfoldPolicy455 = UnfoldPolicy454 policy_455_def 


definition
   policy_456 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_456 = policy_455 ++ allow_from_to_port (456::port) workstation internet"

lemmas UnfoldPolicy456 = UnfoldPolicy455 policy_456_def 


definition
   policy_457 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_457 = policy_456 ++ allow_from_to_port (457::port) workstation internet"

lemmas UnfoldPolicy457 = UnfoldPolicy456 policy_457_def 


definition
   policy_458 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_458 = policy_457 ++ allow_from_to_port (458::port) workstation internet"

lemmas UnfoldPolicy458 = UnfoldPolicy457 policy_458_def 


definition
   policy_459 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_459 = policy_458 ++ allow_from_to_port (459::port) workstation internet"

lemmas UnfoldPolicy459 = UnfoldPolicy458 policy_459_def 


definition
   policy_460 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_460 = policy_459 ++ allow_from_to_port (460::port) workstation internet"

lemmas UnfoldPolicy460 = UnfoldPolicy459 policy_460_def 




definition
   policy_460_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_460_Summary = policy_450_Summary ++ allow_from_to_ports {451..(460::port)} workstation internet"

lemmas UnfoldPolicyS460 = UnfoldPolicyS450 policy_460_Summary_def



definition
   policy_461 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_461 = policy_460 ++ allow_from_to_port (461::port) workstation internet"

lemmas UnfoldPolicy461 = UnfoldPolicy460 policy_461_def 


definition
   policy_462 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_462 = policy_461 ++ allow_from_to_port (462::port) workstation internet"

lemmas UnfoldPolicy462 = UnfoldPolicy461 policy_462_def 


definition
   policy_463 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_463 = policy_462 ++ allow_from_to_port (463::port) workstation internet"

lemmas UnfoldPolicy463 = UnfoldPolicy462 policy_463_def 


definition
   policy_464 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_464 = policy_463 ++ allow_from_to_port (464::port) workstation internet"

lemmas UnfoldPolicy464 = UnfoldPolicy463 policy_464_def 


definition
   policy_465 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_465 = policy_464 ++ allow_from_to_port (465::port) workstation internet"

lemmas UnfoldPolicy465 = UnfoldPolicy464 policy_465_def 


definition
   policy_466 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_466 = policy_465 ++ allow_from_to_port (466::port) workstation internet"

lemmas UnfoldPolicy466 = UnfoldPolicy465 policy_466_def 


definition
   policy_467 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_467 = policy_466 ++ allow_from_to_port (467::port) workstation internet"

lemmas UnfoldPolicy467 = UnfoldPolicy466 policy_467_def 


definition
   policy_468 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_468 = policy_467 ++ allow_from_to_port (468::port) workstation internet"

lemmas UnfoldPolicy468 = UnfoldPolicy467 policy_468_def 


definition
   policy_469 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_469 = policy_468 ++ allow_from_to_port (469::port) workstation internet"

lemmas UnfoldPolicy469 = UnfoldPolicy468 policy_469_def 


definition
   policy_470 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_470 = policy_469 ++ allow_from_to_port (470::port) workstation internet"

lemmas UnfoldPolicy470 = UnfoldPolicy469 policy_470_def 




definition
   policy_470_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_470_Summary = policy_460_Summary ++ allow_from_to_ports {461..(470::port)} workstation internet"

lemmas UnfoldPolicyS470 = UnfoldPolicyS460 policy_470_Summary_def



definition
   policy_471 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_471 = policy_470 ++ allow_from_to_port (471::port) workstation internet"

lemmas UnfoldPolicy471 = UnfoldPolicy470 policy_471_def 


definition
   policy_472 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_472 = policy_471 ++ allow_from_to_port (472::port) workstation internet"

lemmas UnfoldPolicy472 = UnfoldPolicy471 policy_472_def 


definition
   policy_473 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_473 = policy_472 ++ allow_from_to_port (473::port) workstation internet"

lemmas UnfoldPolicy473 = UnfoldPolicy472 policy_473_def 


definition
   policy_474 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_474 = policy_473 ++ allow_from_to_port (474::port) workstation internet"

lemmas UnfoldPolicy474 = UnfoldPolicy473 policy_474_def 


definition
   policy_475 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_475 = policy_474 ++ allow_from_to_port (475::port) workstation internet"

lemmas UnfoldPolicy475 = UnfoldPolicy474 policy_475_def 


definition
   policy_476 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_476 = policy_475 ++ allow_from_to_port (476::port) workstation internet"

lemmas UnfoldPolicy476 = UnfoldPolicy475 policy_476_def 


definition
   policy_477 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_477 = policy_476 ++ allow_from_to_port (477::port) workstation internet"

lemmas UnfoldPolicy477 = UnfoldPolicy476 policy_477_def 


definition
   policy_478 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_478 = policy_477 ++ allow_from_to_port (478::port) workstation internet"

lemmas UnfoldPolicy478 = UnfoldPolicy477 policy_478_def 


definition
   policy_479 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_479 = policy_478 ++ allow_from_to_port (479::port) workstation internet"

lemmas UnfoldPolicy479 = UnfoldPolicy478 policy_479_def 


definition
   policy_480 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_480 = policy_479 ++ allow_from_to_port (480::port) workstation internet"

lemmas UnfoldPolicy480 = UnfoldPolicy479 policy_480_def 




definition
   policy_480_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_480_Summary = policy_470_Summary ++ allow_from_to_ports {471..(480::port)} workstation internet"

lemmas UnfoldPolicyS480 = UnfoldPolicyS470 policy_480_Summary_def



definition
   policy_481 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_481 = policy_480 ++ allow_from_to_port (481::port) workstation internet"

lemmas UnfoldPolicy481 = UnfoldPolicy480 policy_481_def 


definition
   policy_482 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_482 = policy_481 ++ allow_from_to_port (482::port) workstation internet"

lemmas UnfoldPolicy482 = UnfoldPolicy481 policy_482_def 


definition
   policy_483 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_483 = policy_482 ++ allow_from_to_port (483::port) workstation internet"

lemmas UnfoldPolicy483 = UnfoldPolicy482 policy_483_def 


definition
   policy_484 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_484 = policy_483 ++ allow_from_to_port (484::port) workstation internet"

lemmas UnfoldPolicy484 = UnfoldPolicy483 policy_484_def 


definition
   policy_485 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_485 = policy_484 ++ allow_from_to_port (485::port) workstation internet"

lemmas UnfoldPolicy485 = UnfoldPolicy484 policy_485_def 


definition
   policy_486 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_486 = policy_485 ++ allow_from_to_port (486::port) workstation internet"

lemmas UnfoldPolicy486 = UnfoldPolicy485 policy_486_def 


definition
   policy_487 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_487 = policy_486 ++ allow_from_to_port (487::port) workstation internet"

lemmas UnfoldPolicy487 = UnfoldPolicy486 policy_487_def 


definition
   policy_488 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_488 = policy_487 ++ allow_from_to_port (488::port) workstation internet"

lemmas UnfoldPolicy488 = UnfoldPolicy487 policy_488_def 


definition
   policy_489 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_489 = policy_488 ++ allow_from_to_port (489::port) workstation internet"

lemmas UnfoldPolicy489 = UnfoldPolicy488 policy_489_def 


definition
   policy_490 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_490 = policy_489 ++ allow_from_to_port (490::port) workstation internet"

lemmas UnfoldPolicy490 = UnfoldPolicy489 policy_490_def 




definition
   policy_490_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_490_Summary = policy_480_Summary ++ allow_from_to_ports {481..(490::port)} workstation internet"

lemmas UnfoldPolicyS490 = UnfoldPolicyS480 policy_490_Summary_def



definition
   policy_491 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_491 = policy_490 ++ allow_from_to_port (491::port) workstation internet"

lemmas UnfoldPolicy491 = UnfoldPolicy490 policy_491_def 


definition
   policy_492 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_492 = policy_491 ++ allow_from_to_port (492::port) workstation internet"

lemmas UnfoldPolicy492 = UnfoldPolicy491 policy_492_def 


definition
   policy_493 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_493 = policy_492 ++ allow_from_to_port (493::port) workstation internet"

lemmas UnfoldPolicy493 = UnfoldPolicy492 policy_493_def 


definition
   policy_494 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_494 = policy_493 ++ allow_from_to_port (494::port) workstation internet"

lemmas UnfoldPolicy494 = UnfoldPolicy493 policy_494_def 


definition
   policy_495 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_495 = policy_494 ++ allow_from_to_port (495::port) workstation internet"

lemmas UnfoldPolicy495 = UnfoldPolicy494 policy_495_def 


definition
   policy_496 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_496 = policy_495 ++ allow_from_to_port (496::port) workstation internet"

lemmas UnfoldPolicy496 = UnfoldPolicy495 policy_496_def 


definition
   policy_497 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_497 = policy_496 ++ allow_from_to_port (497::port) workstation internet"

lemmas UnfoldPolicy497 = UnfoldPolicy496 policy_497_def 


definition
   policy_498 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_498 = policy_497 ++ allow_from_to_port (498::port) workstation internet"

lemmas UnfoldPolicy498 = UnfoldPolicy497 policy_498_def 


definition
   policy_499 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_499 = policy_498 ++ allow_from_to_port (499::port) workstation internet"

lemmas UnfoldPolicy499 = UnfoldPolicy498 policy_499_def 


definition
   policy_500 :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_500 = policy_499 ++ allow_from_to_port (500::port) workstation internet"

lemmas UnfoldPolicy500 = UnfoldPolicy499 policy_500_def 




definition
   policy_500_Summary :: "(adr\<^isub>i\<^isub>p, DummyContent) FWPolicy" where
  "policy_500_Summary = policy_490_Summary ++ allow_from_to_ports {491..(500::port)} workstation internet"

lemmas UnfoldPolicyS500 = UnfoldPolicyS490 policy_500_Summary_def



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_10 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy10 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy10)
store_test_thm "policy_10"

gen_test_data "policy_10" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_20 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy20 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy20)
store_test_thm "policy_20"

gen_test_data "policy_20" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_30 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy30 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy30)
store_test_thm "policy_30"

gen_test_data "policy_30" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_40 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy40 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy40)
store_test_thm "policy_40"

gen_test_data "policy_40" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_50 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy50 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy50)
store_test_thm "policy_50"

gen_test_data "policy_50" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_60 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy60 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy60)
store_test_thm "policy_60"

gen_test_data "policy_60" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_70 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy70 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy70)
store_test_thm "policy_70"

gen_test_data "policy_70" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_80 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy80 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy80)
store_test_thm "policy_80"

gen_test_data "policy_80" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_90 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy90 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy90)
store_test_thm "policy_90"

gen_test_data "policy_90" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_100 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy100 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy100)
store_test_thm "policy_100"

gen_test_data "policy_100" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_120 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy120 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy120)
store_test_thm "policy_120"

gen_test_data "policy_120" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_140 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy140 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy140)
store_test_thm "policy_140"

gen_test_data "policy_140" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_160 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy160 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy160)
store_test_thm "policy_160"

gen_test_data "policy_160" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_180 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy180 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy180)
store_test_thm "policy_180"

gen_test_data "policy_180" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_200 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy200 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy200)
store_test_thm "policy_200"

gen_test_data "policy_200" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_250 x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp:  UnfoldPolicy250 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy250)
store_test_thm "policy_250"

gen_test_data "policy_250" 


test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_10_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS10  UnfoldPolicy10 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy10 UnfoldPolicyS10)
store_test_thm "policy_10_Summary"

gen_test_data "policy_10_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_20_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS20  UnfoldPolicy20 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy20 UnfoldPolicyS20)
store_test_thm "policy_20_Summary"

gen_test_data "policy_20_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_30_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS30  UnfoldPolicy30 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy30 UnfoldPolicyS30)
store_test_thm "policy_30_Summary"

gen_test_data "policy_30_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_40_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS40  UnfoldPolicy40 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy40 UnfoldPolicyS40)
store_test_thm "policy_40_Summary"

gen_test_data "policy_40_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_50_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS50  UnfoldPolicy50 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy50 UnfoldPolicyS50)
store_test_thm "policy_50_Summary"

gen_test_data "policy_50_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_60_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS60  UnfoldPolicy60 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy60 UnfoldPolicyS60)
store_test_thm "policy_60_Summary"

gen_test_data "policy_60_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_70_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS70  UnfoldPolicy70 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy70 UnfoldPolicyS70)
store_test_thm "policy_70_Summary"

gen_test_data "policy_70_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_80_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS80  UnfoldPolicy80 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy80 UnfoldPolicyS80)
store_test_thm "policy_80_Summary"

gen_test_data "policy_80_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_90_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS90  UnfoldPolicy90 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy90 UnfoldPolicyS90)
store_test_thm "policy_90_Summary"

gen_test_data "policy_90_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_100_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS100  UnfoldPolicy100 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy100 UnfoldPolicyS100)
store_test_thm "policy_100_Summary"

gen_test_data "policy_100_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_120_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS120  UnfoldPolicy120 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy120 UnfoldPolicyS120)
store_test_thm "policy_120_Summary"

gen_test_data "policy_120_Summary" 



test_spec "not_in_same_net x \<longrightarrow> FUT x = policy_140_Summary x"
apply (prepare_fw_spec)
apply (gen_test_cases "FUT" simp: UnfoldPolicyS140  UnfoldPolicy140 PortCombinators not_in_same_net_def)
apply (simp_all add: UnfoldPolicy140 UnfoldPolicyS140)
store_test_thm "policy_140_Summary"

gen_test_data "policy_140_Summary" 




write_clocks "time_stats_fwrules.tex"

declare [[testgen_profiling = false]]

end
